Index: main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- main/trunk/gli/classes/dictionary_es.properties	(revision 21001)
+++ main/trunk/gli/classes/dictionary_es.properties	(revision 23656)
@@ -1,6 +1,5 @@
 #*******************
 # Spanish Translation of GLI Dictionary. Many thanks to Jesus Tramullas and Diego Spano.
-# Translations updated by Diego Spano in March 2009.
-#
+# Translations updated by Diego Spano in Feb 2011.
 #** Language Orientation Property
 Component.Orientation:LTR
@@ -10,5 +9,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:Reconocimientos de marca de paquetes, clases y programas propietarios...
-AboutDialog.Date:(Abril 2009)  
+AboutDialog.Date:(Noviembre 2009)  
 AboutDialog.Item0:Xerces Java 1' de The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:WGet' de Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
@@ -83,7 +82,7 @@
 CDM.BuildTypeManager.Title:Seleccionar el Indizador  
 CDM.BuildTypeManager.mg:MG  
-CDM.BuildTypeManager.mg_Description:Este es el indizador original utilizado por Greenstone, desarrollado por Alistair Moffat y descrito en el clÃ¡sico libro <i>Managing Gigabytes</i>. realzia indizaciÃ³n a nivel de secciÃ³n, y las bÃºsquedas pueden ser booleanas o por relevancia (no ambas a la vez). Para cada Ã­ndice especificado en la colecciÃ³n, se crea un Ã­ndice fÃ­sico separado. Para bÃºsqueda por frases, Greenstone aÃ±ade un "Y" para cada tÃ©rmino, y explora los resultados para ver si la frase estÃ¡ presente. Ha sido probado intensivamente en grandes colecciones (muchos GB de texto).  
+CDM.BuildTypeManager.mg_Description:Este es el indizador original utilizado por Greenstone, desarrollado por Alistair Moffat y descrito en el clÃ¡sico libro <i>Managing Gigabytes</i>. Realiza indexaciÃ³n a nivel de secciÃ³n, y las bÃºsquedas pueden ser booleanas o por relevancia (no ambas a la vez). Para cada Ã­ndice definido en la colecciÃ³n, se crea un Ã­ndice fÃ­sico separado. Para bÃºsqueda por frases, Greenstone aÃ±ade un "Y" para cada tÃ©rmino, y explora los resultados para ver si la frase estÃ¡ presente. Ha sido probado intensivamente en grandes colecciones (muchos GB de texto).  
 CDM.BuildTypeManager.mgpp:MGPP  
-CDM.BuildTypeManager.mgpp_Description:Esta nueva versiÃ³n de MP (MG plus plus) fuÃ© desarrollada por el New Zealand Digital Library Project. Hace la indizaciÃ³n a nivel de palabra, lo que permite bÃºsquedas por campo, frase y proximidad. Las bÃºsquedas booleanas pueden ser ordenadas por relevancia. SÃ³lo se crea un Ã­ndice para la colecciÃ³n: los niveles de documento/secciÃ³n y texto/campos de metadatos se gestionan en un Ãºnico Ã­ndice. Para colecciones con muchos Ã­ndices, esto ofrece una colecciÃ³n de tamaÃ±o menor que el obtenido usando MG. Para grandes colecciones, la bÃºsqueda puede ser un poco mÃ¡s lenta debido a la indizaciÃ³n a nivel de palabra.  
+CDM.BuildTypeManager.mgpp_Description:Esta nueva versiÃ³n de MP (MG plus plus) fuÃ© desarrollada por el Proyecto de Biblioteca Digital de Nueva Zelanda. Acepta indexaciÃ³n a nivel de palabra, lo que permite bÃºsquedas por campo, frase y proximidad. Las bÃºsquedas booleanas pueden ser ordenadas por relevancia. SÃ³lo se crea un Ã­ndice para la colecciÃ³n: los niveles de documento/secciÃ³n y texto/campos de metadatos se gestionan en un Ãºnico Ã­ndice. Para colecciones con muchos Ã­ndices, esto ofrece una colecciÃ³n de tamaÃ±o menor que el obtenido usando MG. Para grandes colecciones, la bÃºsqueda puede ser un poco mÃ¡s lenta debido a la indexaciÃ³n a nivel de palabra.  
 CDM.BuildTypeManager.lucene:Lucene  
 CDM.BuildTypeManager.lucene_Description:Lucene fuÃ© desarrollado por la Apache Software Foundation. Ofrece bÃºsquedas por campo y de proximidad, pero sÃ³lo a nivel simple (por ej., documentos completos o secciones individuales, pero no ambos al mismo tiempo). Por lo tanto, una colecciÃ³n con Ã­ndices de documento y de secciÃ³n requiere dos Ã­ndices separados. Ofrece funcionalidades de bÃºsqueda similares a MGPP, aÃ±adiendo truncamiento de caracteres Ãºnicos y bÃºsqueda de rango y ordenaciÃ³n de resultados por campos de metadatos. Se ha aÃ±adido a Greenstone para hacer posible la creaciÃ³n incremental de colecciones, que MG y MGPP no ofrecen.  
@@ -102,4 +101,14 @@
 CDM.ClassifierManager.Remove:Eliminar clasificador
 CDM.ClassifierManager.Remove_Tooltip:Elimina el clasificador seleccionado de la lista
+CDM.DatabaseTypeManager.Change:CambiarâŠ  
+CDM.DatabaseTypeManager.Change_Tooltip:Cambiar el tipo de base de datos utilizado por esta colecciÃ³n  
+CDM.DatabaseTypeManager.Current_Type:Base de datos en uso: {0}  
+CDM.DatabaseTypeManager.Title:Seleccione la base de datos.  
+CDM.DatabaseTypeManager.gdbm:GDBM  
+CDM.DatabaseTypeManager.gdbm_Description:GDBM (o GNU Database Manager) es un sencillo motor de base de datos basado en archivos planos el cual es utilizado por Greenstone como base de datos por defecto para las nuevas colecciones.  
+CDM.DatabaseTypeManager.jdbm:JDBM  
+CDM.DatabaseTypeManager.jdbm_Description:JDBM (o Java Database Manager) es esencialmente una implementaciÃ³n JAVA del GDBM. Considere usar este motor de base de datos combinado con el indexador Lucene si desea crear ejecutables JAVA puros.  
+CDM.DatabaseTypeManager.sqlite:SQLITE  
+CDM.DatabaseTypeManager.sqlite_Description:SQLite es un motor sencillo de base de datos relacional. Puede ser utilizado con Greenstone para proveer caracterÃ­sticas experimentales de bÃºsqueda avanzada que no son posibles con otros motores. Para habilitar esa opciÃ³n, agregue "sqlform" a la lista de SearchTypes en la opciÃ³n Opciones de Formato de la solapa Formato.  
 CDM.FormatManager.Add:AÃ±adir formato
 CDM.FormatManager.Add_Tooltip:AÃ±ade la orden de formato especificada  
@@ -529,4 +538,5 @@
 #***** FileActions *****
 FileActions.Calculating_Size:Calculando el tamaÃ±o total de los ficheros seleccionados  
+FileActions.ChooseDestinationDirectory:Elija el directorio de destino  
 FileActions.Copying:Copiando {0}  
 FileActions.Could_Not_Delete:No se podrÃ­a borrar {0}  
@@ -540,4 +550,5 @@
 FileActions.File_Create_Error:El fichero {0} no pudo ser creado.  
 FileActions.Folder_Create_Error:La carpeta {0} no pudo ser creada.
+FileActions.Folder_Does_Not_Exist:Esta carpeta ya no existe, pudo haber sido borrada o renombrada  
 FileActions.File_Exists:{0} ya existe en la carpeta de destino. Â¿Desea reemplazarlo?
 FileActions.File_Move_Error_Message:No se puede mover {0} a\n{1}.  
@@ -617,4 +628,7 @@
 General.Cancel:Cancelar
 General.Cancel_Tooltip:Cancela los cambios (no desharÃ¡ ninguno de los cambios que ya se hayan aplicado)
+General.CD:Cambiar carpetaâŠ  
+General.CD_Tooltip:Ir a una carpeta Collect diferente  
+General.ChooseCollectDirectory:Elija su carpeta Collect  
 General.Close:Cerrar
 General.Close_Tooltip:Cierra este cuadro de diÃ¡logo
@@ -623,6 +637,4 @@
 General.LLS_Not_Started:Usted ha iniciado el servidor de Greenstone, pero no ha presionado aÃºn el botÃ³n "Enter Library".\nUna vez que lo haya hecho, presione "Previsualizar ColecciÃ³n" en la "Interfaz del Bibliotecario" nuevamente para ver la colecciÃ³n.  
 General.LLS_Not_Started_Title:Servidor de biblioteca local aÃºn no iniciado.
-
-  
 General.No:No
 General.NotSunJava:Proveedor de Java: {0}\nTenga en cuenta que la Interfaz de Bibliotecario ha sido desarrollada y probada con Java de Sun Microsystems
@@ -632,4 +644,5 @@
 General.Outstanding_Processes_Title:Esperando para salir
 General.Pure_Cancel_Tooltip:Aborta esta acciÃ³n (no se harÃ¡ ningÃºn cambio)
+General.Reconfigure:Reconfigure su servidor web manualmente  
 General.Review_Output:Por favor revise los resultados que estÃ¡n a continuaciÃ³n:
 General.Redo:Rehacer  
@@ -641,4 +654,6 @@
 General.Warning:Advertencia
 General.Yes:Si
+General.MultipleFileNamesNotSupported.Message:Su entorno parece estar en UTF-8. Nombres de archivos que no sean UTF-8 no son aceptados por el setup.  
+General.MultipleFileNamesNotSupported.Title:Soporte para la codificaciÃ³n de nombre de archivo  
 #****************************
 #
@@ -699,4 +714,14 @@
 GUI.Gather:Reunir
 GUI.Gather_Tooltip:Selecciona los ficheros que se incluirÃ¡n en su colecciÃ³n  
+GUI.CollectHome.title:La carpeta collect ha cambiado  
+GUI.CollectHome.message:La carpeta collect ha sido modificada a:  
+GUI.CollectHome.to:a:  
+GUI.CollectHome.dir:{0}
+GUI.CollectHome.gli:Desea que la Interfaz de Bibliotecario recuerde la nueva carpeta collect?  
+GUI.CollectHome.server:Desea que el Greenstone Server recuerde la nueva carpeta collect?  
+GUI.CollectHome.resetToDefault:No, volver al valor por defecto  
+GUI.CollectHome.leaveAtDefault:No, dejar el valor por defecto  
+GUI.CollectHome.reset:Cambiar al valor por defecto  
+
 #***************
 #
@@ -739,4 +764,5 @@
 #***** Menu Options *****
 Menu.Collapse:Cerrar carpeta
+Menu.Copy_Collection:Copiar esta colecciÃ³n a âŠ  
 Menu.Edit:Editar
 Menu.Edit_Copy:Copiar (ctrl-c)
@@ -760,4 +786,5 @@
 Menu.Help_About:Acerca de...
 Menu.Metadata_View:Metadatos asignados para {0}
+Menu.Move_Collection:Mover esta colecciÃ³n aâŠ  
 Menu.Open_Externally:Abrir en un programa externo
 #********************
@@ -843,5 +870,5 @@
 #
 #***** Missing EXEC *****
-MissingEXEC.Message:Â¡Cuidado! Usted no podrÃ¡ ver sus nuevas colecciones dentro de la Interfaz de Bibliotecario a menos que especifique la ruta hacia el servidor web de la Biblioteca Greenstone. Usted puede indicarla ahora en el campo de texto que se encuentra debajo, o mÃ¡s tarde en "Preferencias", pestaÃ±a "ConexiÃ³n". Recuerde que un url vÃ¡lido debe comenzar con el protocolo "http://" y terminar con el nombre del ejecutable ("gsdl" para el servidor de la biblioteca local Greenstone, "library" para otros servidores web).  
+MissingEXEC.Message:Â¡Cuidado! Usted no podrÃ¡ ver sus nuevas colecciones dentro de la Interfaz de Bibliotecario a menos que especifique la ruta hacia el servidor web de la Biblioteca Greenstone. Usted puede indicarla ahora en el campo de texto que se encuentra debajo, o mÃ¡s tarde en "Preferencias", pestaÃ±a "ConexiÃ³n". Recuerde que un url vÃ¡lido debe comenzar con el protocolo "http://" y terminar con el nombre del ejecutable ("gsdl" para el servidor de la biblioteca local Greenstone, "library.cgi" para otros servidores web).  
 MissingEXEC.Title:Falta la direcciÃ³n de la Biblioteca Greenstone
 #***** Missing EXEC_GS3 *****
@@ -849,5 +876,5 @@
 MissingEXEC_GS3.Title:URL de la Biblioteca Greenstone 3  
 #***** Missing GLIServer *****
-MissingGLIServer.Message:Ingrese la direcciÃ³n del script remoto de Greenstone "gliserver.pl" en el recuadro de abajo. Recuerde que una URL vÃ¡lida debe comenzar con el protocolo "http://" y finalizar con "gliserver".  
+MissingGLIServer.Message:Ingrese la direcciÃ³n del script remoto de Greenstone "gliserver.pl" en el recuadro de abajo. Recuerde que una URL vÃ¡lida debe comenzar con el protocolo "http://" y finalizar con "gliserver.pl".  
 MissingGLIServer.Title:Especifique la direcciÃ³n del Servidor GLI  
 #***** Missing GSDL *****
@@ -865,4 +892,5 @@
 NewCollectionPrompt.Base_Collection:Construir esta colecciÃ³n con base en:
 NewCollectionPrompt.Base_Collection_Tooltip:Seleccione una colecciÃ³n existente para basar en ella la nueva colecciÃ³n
+NewCollectionPrompt.ChooseACollection:Elija una colecciÃ³n  
 NewCollectionPrompt.Collection_Description:DescripciÃ³n de contenidos:
 NewCollectionPrompt.Collection_Name:Carpeta de la colecciÃ³n:
@@ -874,4 +902,6 @@
 NewCollectionPrompt.Instructions:Para crear una nueva colecciÃ³n llene los campos que estÃ¡n a continuaciÃ³n.
 NewCollectionPrompt.NewCollection:-- Nueva colecciÃ³n --
+NewCollectionPrompt.OtherCollections:-- Otras colecciones... --  
+NewCollectionPrompt.Select:Seleccione  
 NewCollectionPrompt.Title:Crear una nueva colecciÃ³n.
 NewCollectionPrompt.Title_Clash:El tÃ­tulo que usted ha elegido para su colecciÃ³n ya se estÃ¡ usando. Â¿Desea continuar?
@@ -922,4 +952,6 @@
 Preferences.Connection.Library_Path_Tooltip_GS3:URL del servidor web de Greenstone
 Preferences.Connection.Library_Path_Connection_Failure:Fallo al conectar. Chequee que el servidor Greenstone estÃ¡ corriendo en {0}.  
+Preferences.Connection.CollectDirectory:Carpeta Collect:  
+Preferences.Connection.CollectDirectory_Tooltip:La ruta a la carpeta collect con la cual quiere trabajar.  
 Preferences.Connection.ProgramCommand:Orden de vista previa:  
 Preferences.Connection.ProgramCommand_Tooltip:Es la orden de inicio del programa usado para tener una vista previa de la colecciÃ³n. Recuerde usar %1 para indicar el lugar donde deberÃ¡ insertarse la direcciÃ³n de la colecciÃ³n y usar las marcas de habla donde sea necesario.  
@@ -928,4 +960,5 @@
 Preferences.Connection.Proxy_Port:Puerto para el servidor proxy
 Preferences.Connection.Proxy_Port_Tooltip:Es el nÃºmero de puerto del servidor proxy
+Preferences.Connection.Proxy_Host_Missing:Ingrese un valor para el host Proxy o desmarque "Usar conexiÃ³n Proxy" en la solapa ConexiÃ³n.  
 Preferences.Connection.Servlet:Servlet:
 Preferences.Connection.Servlet_Tooltip:Servlet a utilizar para ver su sitio
@@ -1003,4 +1036,5 @@
 Server.QuitTimeOut:La biblioteca local Greenstone no ha respondido \n al comando de cierre por {0} segundos. \n. Â¿Desea esperar otros {0} segundos?  
 Server.StartUpTimeOut:La biblioteca local de Greenstone no ha respondido al comando \nde inicio por {0} segundos. Quiere esperar \notros {0} segundos?  
+Server.Reconfigure:Ha cambiado la ubicaciÃ³n del collect.\nDado que GLI no iniciÃ³ su servidor web, no puede reconfigurarlo automÃ¡ticamente.\nPor favor, reconfigure su servidor web manualmente para trabajar con el cambio aplicado.  
 #
 #***** Sources *****