Index: main/trunk/greenstone2/macros/dutch.dm
===================================================================
--- main/trunk/greenstone2/macros/dutch.dm	(revision 23673)
+++ main/trunk/greenstone2/macros/dutch.dm	(revision 23674)
@@ -25,4 +25,6 @@
 
 _textsignin_ [l=nl] {log in}  
+
+_texttruncated_ [l=nl] {(getrunceerd)}  
 
 _textdefaultcontent_ [l=nl] {De vereisde pagina kon niet worden gevonden. 
@@ -50,4 +52,7 @@
 _textdescrhelp_ [l=nl] {Helppagina}
 _textdescrpref_ [l=nl] {Voorkeuren-pagina}  
+_textdescrlogin_ [l=nl] {Login-pagina}  
+_textdescrlogout_ [l=nl] {Log uit als  _cgiargun_}  
+
 _textdescrgreenstone_ [l=nl] {Greenstone Digital Library Software}
 _textdescrusab_ [l=nl] {Wat vond U moeilijk te gebruiken?}  
@@ -112,4 +117,6 @@
 _textAcronym_ [l=nl] {Acroniem}  
 _labelAcronym_ [l=nl] {Afkortingen}
+_textAuthor_ [l=nl] {Auteur}  
+_textAuthors_ [l=nl] {Auteurs}  
 
 # Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
@@ -142,4 +149,6 @@
 _texticonrtf_ [l=nl] {Bekijk het RTF-document}  
 _texticonxls_ [l=nl] {Bekijk het Microsoft Excel-document}  
+_texticonogg_ [l=nl] {Zie de Ogg Vorbis document}  
+_texticonrmvideo_ [l=nl] {Zie het Real Media document}  
 
 _page_ [l=nl] {pagina }
@@ -163,7 +172,11 @@
 _textmonth12_ [l=nl] {December}
 
+_texttext_ [l=nl] {Tekst}  
+_labeltext_ [l=nl] {_texttext_}
 _textdocument_ [l=nl] {Document}
 _textsection_ [l=nl] {Sectie}
 _textparagraph_ [l=nl] {Alinea}
+_textchapter_ [l=nl] {Hoofdstuk}  
+_textbook_ [l=nl] {Boek}  
 
 _magazines_ [l=nl] {tijdschriften}
@@ -178,4 +191,7 @@
 _linktextHELP_ [l=nl] {HELP}
 _linktextPREFERENCES_ [l=nl] {VOORKEUREN}  
+_linktextLOGIN_ [l=nl] {INLOGGEN }  
+_linktextLOGGEDIN_ [l=nl] {(ingelogd als  _cgiargun_)}  
+_linktextLOGOUT_ [l=nl] {UITLOGGEN}  
 
 
@@ -363,4 +379,6 @@
 _textwordphrase_ [l=nl] {Woorden}  
 _textinfield_ [l=nl] {... in veld}  
+_textfieldphrase_ [l=nl] {Veld}  
+_textinwords_ [l=nl] {âŠ in woord(en)}  
 _textfoldstem_ [l=nl] {(hoofdletters, woordstammen)}  
 
@@ -376,7 +394,8 @@
 # unset
 
-_textsimplesearch_ [l=nl] {Zoek in _indexselection_ _If_(_jselection_, verbonden met _jselection_ )_If_(_gselection_, at _gselection_ niveau )_If_(_nselection_, in _nselection_ language ) dat bevat(ten) _querytypeselection_ van de woorden _If_(_sfselection_,\,_allowformbreak_ resultaten gesorteerd volgens  _sfselection_)
-_textsimplesqlsearch_ [l=nl] {Zoek in _indexselection_ _If_(_jselection_, verbonden met _jselection_ )_If_(_gselection_, at _gselection_ niveau )_If_(_nselection_, in _nselection_ language ) dat bevat(ten) _querytypeselection_ van de woorden _If_(_sqlsfselection_,\,_allowformbreak_ resultaten gesorteerd volgens  _sqlsfselection_)
-}  
+# the space after "level" (before the right bracket) is required, otherwise no space between "Search" and "in"
+
+_textsimplesearch_ [l=nl] {Zoek in _indexselection_ _If_(_jselection_, verbonden met _jselection_ )_If_(_gselection_, at _gselection_ niveau )_If_(_nselection_, in _nselection_ language ) dat bevat(ten) _querytypeselection_ van de woorden _If_(_sfselection_,\,_allowformbreak_ resultaten gesorteerd volgens  _sfselection_) }  
+_textsimplesqlsearch_ [l=nl] {Zoek in _indexselection__If_(_jselection_, verbonden met _jselection_)_If_(_gselection_,op _gselection_niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sqlsfselection_,\,_allowformbreak_resultaten gesorteerd naar  _sqlsfselection_)voor  _querytypeselection_ van de woorden}  
 
 _textadvancedsearch_ [l=nl] {Doorzoek _indexselection_ _If_(_jselection_,of _jselection_)_If_(_gselection_, op het _gselection_ niveau)_If_(_nselection_, in _nselection_ taal) met een _querytypeselection_ zoekvraag}  
@@ -385,13 +404,15 @@
 
 _textadvancedlucenesearch_ [l=nl] {Zoek in _indexselection__If_(_jselection_, verbonden met _jselection_)_If_(_gselection_, op _gselection_ niveau )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ resultaten gesorteerd volgens  _sfselection_\,) voor}  
-_textadvancedsqlsearch_ [l=nl] {Zoek in _indexselection__If_(_jselection_, verbonden met _jselection_)_If_(_gselection_, op _gselection_ niveau )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ resultaten gesorteerd volgens  _sqlsfselection_\,) voor}  
+_textadvancedsqlsearch_ [l=nl] {Zoek in _indexselection__If_(_jselection_, verbonden met _jselection_)_If_(_gselection_, op _gselection_niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sqlsfselection_,\,_allowformbreak_ resultaten gesorteerd naar _sqlsfselection_\,) voor }  
+
+# the space after "Search" is required, otherwise no space between "Search" and "in"
 
 _textformsimplesearch_ [l=nl] {Zoek in _If_(_jselection_, _jselection_)_If_(_gformselection_, at _gformselection_ niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sfselection_,\,  resultaten gesorteerd naar _sfselection_\,) voor _formquerytypesimpleselection_ van}  
-_textformsimplesearchsql_ [l=nl] {Zoek in _If_(_jselection_, _jselection_)_If_(_gformselection_, at _gformselection_ niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sqlsfselection_,\,  resultaten gesorteerd naar _sqlsfselection_\,) voor _formquerytypesimpleselection_ van}  
-
-_textformadvancedsearchmgpp_ [l=nl] {Zoek in _If_(_jselection_,_jselection_ )_If_(_gformselection_,op _gformselection_ niveau )_If_(_nselection_,in _nselection_ taal )en toon resultaten in _formquerytypeadvancedselection_ volgorde: }  
+_textformsimplesearchsql_ [l=nl] {Zoek _If_(_jselection_, in _jselection_)_If_(_gformselection_, op  _gformselection_ niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sqlsfselection_,\, resultaten gesorteerd naar _sqlsfselection_\,) voor  _formquerytypesimpleselection_ van }  
+
+_textformadvancedsearchmgpp_ [l=nl] {Zoek in _If_(_jselection_,_jselection_ )_If_(_gformselection_,op _gformselection_ niveau )_If_(_nselection_,in _nselection_ taal ) en toon resultaten in _formquerytypeadvancedselection_ volgorde: }  
 
 _textformadvancedsearchlucene_ [l=nl] {Zoek in _If_(_jselection_, _jselection_)_If_(_gformselection_,  at _gformselection_ niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sfselection_,\, resultaten gesorteerd naar _sfselection_\,) voor}  
-_textformadvancedsearchsql_ [l=nl] {Zoek in _If_(_jselection_, _jselection_)_If_(_gformselection_,  at _gformselection_ niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sqlsfselection_,\, resultaten gesorteerd naar _sqlsfselection_\,) voor}  
+_textformadvancedsearchsql_ [l=nl] {Zoek _If_(_jselection_, in _jselection_)_If_(_gformselection_, op _gformselection_ niveau )_If_(_nselection_, in _nselection_ taal)_If_(_sqlsfselection_,\, resultaten gesorteerd naar _sqlsfselection_\,) voor}  
 
 _textnojsformwarning_ [l=nl] {Waarschuwing: Javascript is in Uw webbrowser afgezet. <br>Om een zoekformulier te kunnen gebruiken, moet U het aanzetten.}  
@@ -470,4 +491,5 @@
 _textsearchtype_ [l=nl] {Zoekstijl:}  
 _textformsearchtype_ [l=nl] {opgedeeld in  _formnumfieldoption_ fields velden}  
+_textsqlformsearchtype_ [l=nl] {SQL-veld met  _sqlformnumfieldoption_ fields}  
 _textplainsearchtype_ [l=nl] {normaal met _boxsizeoption_ zoekveld}  
 _textregularbox_ [l=nl] {eenregelig}  
@@ -480,4 +502,16 @@
 _textnohistorydisplay_ [l=nl] {toon de zoekgeschiedenis niet}  
 
+_textbookoption_ [l=nl] {Boek-viewer modus}  
+_textbookvieweron_ [l=nl] {aan}  
+_textbookvieweroff_ [l=nl] {uit}  
+
+# html options
+_textdoclayout_ [l=nl] {Layout van documentpagina:}  
+_textlayoutnavbar_ [l=nl] {navigatiebalk bovenaan}  
+_textlayoutnonavbar_ [l=nl] {geen navigatiebalk}  
+
+_texttermhighlight_ [l=nl] {Markeren van zoekterm:}  
+_texttermhighlighton_ [l=nl] {markeer zoekterm}  
+_texttermhighlightoff_ [l=nl] {markeer zoekterm niet}  
 
 #####################################################################
@@ -611,5 +645,5 @@
 
 _texthelpquerytypetitle_ [l=nl] {Type zoekvragen}  
-
+_texthelpquerytype_ [l=nl] {<p>Er zijn twee soorten vragen.<ul>  <li>Vragen naarr <b>alle</b> woorden. Deze zoeken naar documenten (of       hoofdstukken, of titels) die alle woorden bevatten die u opgeven heeft.       Documenten die voldoen aan de vraag, worden getoond in de volgorde       waarin zij ingevoerd zijn.<p> <li>Vragen naar <b>sommige</b> woorden. Geef een aantal woorden op waarvan      u vermoedt dat ze voorkomen in documenten waarnaar u zoekt. De documenten     worden getoond naar relevantie.     <p><ul>         <li>Hoe meer zoektermen het documenten bevat des te relevanter het is;         <li>termen die weinig voorkomen in de hele collectie zijn belangrijker dan vaak voorkomende;         <li>korte doumenten zijn relevanter dan lange.    </ul></ul><p>Gebruik zo veel zoektermen als u wilt - een hele zin of zelfs een hele alinea.    Als u slechts Ã©Ã©n woord opgeeft, worden de gevonden doumenten getoond naar   het aantal malen dat het woord er in voorkomt. <p>}  
 
 _texthelpadvancedsearchtitle_ [l=nl] {Geavanceerd zoeken met gebuikmaking van de _1_ zoekmachine}  
@@ -716,6 +750,5 @@
 
 _texthelpsearchprefstitle_ [l=nl] {Voorkeuren bij zoeken}  
-_texthelpsearchprefs_ [l=nl] {
-<p>U kunt ook voor een geavanceerde form van zoeken kiezen.  In de geavanceerde modus 
+_texthelpsearchprefs_ [l=nl] {<p>U kunt ook voor een geavanceerde form van zoeken kiezen.  In de geavanceerde modus 
 kunt U termen combineren door AND (&), OR (I), and NOT (!) te gebruiken, met desgewenst 
 ronde haakjes voor het vormen van groepen. 