Index: main/trunk/greenstone2/macros/kannada2.dm
===================================================================
--- main/trunk/greenstone2/macros/kannada2.dm	(revision 23687)
+++ main/trunk/greenstone2/macros/kannada2.dm	(revision 23688)
@@ -139,5 +139,4 @@
 
 _textmessageinvalid_ [l=kn] {<br>)à²Šà²¯à²µà²¿à²à³à²à³ à²šà²¿à²®à³à²® à²¬à²³à²à³à²Šà²Ÿà²°à²° à²¹à³à²žà²°à³ à²®à²€à³à²€à³ à²žà²à²à³à²€à²ªà²Šà²µà²šà³à²šà³ à²¬à²°à³à²¯à²¿à²°à²¿}  
-}  
 
 _textmessagefailed_ [l=kn] {à²šà²¿à²®à³à²® à²¬à²³à²à³à²Šà²Ÿà²°à²° à²¹à³à²žà²°à³ à²
@@ -570,5 +569,5 @@
 
 _textplatformtitle_ [l=kn] {à²µà³à²Šà²¿à²à³}  
-_textgreenstone3_ [l=kn] {à²µà²¿à²à²¡à³à²žà³, à²¯à³à²šà²¿à²à³à²žà³ à²¹à²Ÿà²à³ à²®à³à²¯à²Ÿà²à³ à² à²à²žà³  à²µà³à²Šà²¿à²à³à²à²³à²²à³à²²à²¿ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ à²à²ªà²¯à³à²à²¿à²žà²¬à²¹à³à²Šà³. à² à²µà²¿à²€à²°à²£à²¿à²à³à²¯à²²à³à²²à²¿  à² à²à²²à³à²² à²µà³à²Šà²¿à²à³à²à²³à²¿à²à³ à²¬à³à²à²Ÿà²Š à²®à²€à³à²€à³ à²à²ªà²¯à³à²à²¿à²žà²²à³ à²€à²¯à²Ÿà²°à²Ÿà²Š à²žà³à²¥à²¿à²€à²¿à²¯ à²¬à³à²šà²°à²¿à²à²³à³ à²žà³à²°à²¿à²žà²²à³à²ªà²à³à²à²¿à²µà³. à² à²µà²¿à²€à²°à²£à²¿à²à³  à²®à³à²à³à²°à³à²žà²Ÿà²«à³à²à³  C++ à²
+_textgreenstone3_ [l=kn] {à²µà²¿à²à²¡à³à²žà³, à²¯à³à²šà²¿à²à³à²žà³ à²¹à²Ÿà²à³ à²®à³à²¯à²Ÿà²à³ à² à²à²žà³ à²à²à³à²žà³  à²µà³à²Šà²¿à²à³à²à²³à²²à³à²²à²¿ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ à²à²ªà²¯à³à²à²¿à²žà²¬à²¹à³à²Šà³. à² à²µà²¿à²€à²°à²£à²¿à²à³à²¯à²²à³à²²à²¿ à²à²²à³à²² à²µà³à²Šà²¿à²à³à²à²³à²¿à²à³ à²¬à³à²à²Ÿà²Š à²®à²€à³à²€à³ à²à²ªà²¯à³à²à²¿à²žà²²à³ à²€à²¯à²Ÿà²°à²Ÿà²Š à²žà³à²¥à²¿à²€à²¿à²¯ à²¬à³à²šà²°à²¿à²à²³à³ à²žà³à²°à²¿à²žà²²à³à²ªà²à³à²à²¿à²µà³. à² à²µà²¿à²€à²°à²£à²¿à²à³  à²®à³à²à³à²°à³à²žà²Ÿà²«à³à²à³  C++ à²
 à²¥à²µà²Ÿ gcc à²à²ªà²¯à³à²à²¿à²žà²¿ à²žà²à²à²²à²¿à²žà²¬à²²à³à²² à²žà²à²ªà³à²°à³à²£ à²à²à²° à²žà²à²à³à²€à²µà²šà³à²šà³ à²à²³à²à³à²à²¡à²¿à²Šà³.  à²à²à²¿à²€ à²µà²Ÿà²à²¿ à²Šà³à²°à³à²¯à³à²µ à²
 à²ªà²Ÿà²à³ à²µà³à²¬à³ à²žà²°à³à²µà²°à³ à²®à²€à³à²€à³ à²ªà²°à³à²²à³ à²à³à²€à³ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ à²à³à²²à²žà²®à²Ÿà²¡à³à²€à³à²€à²Šà³. à²
@@ -626,15 +625,14 @@
 à²µà²¶à³à²¯à²à²€à³à²à²³à²¿à²à³ à²°à³à²ªà²¿à²žà²¬à²¹à³à²Šà²Ÿà²Š à²žà²Ÿà²®à²°à³à²¥à³à²¯.  à²
 à²Šà³ à²¹à²¿à²à²Šà²¿à²š à²à²µà³à²€à³à²€à²¿à²à²³ à²à²²à³à²² à²µà³à²¶à²¿à²·à³à²à³à²¯à²à²³à²šà³à²šà³ à²¹à³à²à²Šà²¿à²Šà³à²Šà³ à²¹à²¿à²à²Šà²¿à²š à²à²µà³à²€à³à²€à²¿à²à²³ à²à³à²€à³ à²žà²®à²°à²ž à²¹à³à²à²Šà²¿à²Šà³: à²
-à²à²Šà²°à³ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ à³©à²šà³à²šà³ à²à²à²Ÿà²à²²à³ à²à²°à³à²µ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ à²žà²à²à³à²°à²¹à²à²³à²šà³à²šà³ à²¬à²³à²žà²²à³ à²
-à²¥à²µà²Ÿ à²ªà³à²šà²°à³à²šà²¿à²°à³à²®à²¿à²žà²²à³ à²¯à²Ÿà²µà³à²Šà³ à²¬à²Šà²²à²Ÿà²µà²£à³à²à²³à²¿à²²à³à²²à²Šà³ à²à²ªà²¯à³à²à²¿à²žà²¬à²¹à³à²Šà³. à²à²Ÿà²µà²Ÿà²Šà²²à³à²²à²¿ à²¬à²°à³à²¯à²²à³à²ªà²à³à² à²à²Šà³ à²¹à²²à²µà³  à²žà³à²µà²€à²à²€à³à²° à²à²à²à²à²³ à²à²à³à²à³à²; à² à²à²à²à²à²³à³ à²à²à³à²žà³ à²à²®à³ à²à²²à³ à²®à³à²à²Ÿà²à²€à²° à²µà²¿à²·à²¯ à²®à²€à³à²€à³ à²žà²à²Šà³à²¶à²à²³à²šà³à²šà³ à²µà²¿à²šà²¿à²®à²¯ à²®à²Ÿà²¡à²¿à²à³à²³à³à²³à³à²€à³à²€à²µà³: à²¹à³à²à³ à²
+à²à²Šà²°à³ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³âà²šà³à²šà³ à²à²à²Ÿà²à²²à³ à²à²°à³à²µ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ à²žà²à²à³à²°à²¹à²à²³à²šà³à²šà³ à²¬à²³à²žà²²à³ à²
+à²¥à²µà²Ÿ à²ªà³à²šà²°à³à²šà²¿à²®à²¿à²žà²²à³ à²¯à²Ÿà²µà³à²Šà³ à²¬à²Šà²²à²Ÿà²µà²£à³à²à²³à²¿à²²à³à²²à²Šà³ à²à²ªà²¯à³à²à²¿à²žà²¬à²¹à³à²Šà³. à²à²Ÿà²µà²Ÿà²Šà²²à³à²²à²¿ à²¬à²°à³à²¯à²²à³à²ªà²à³à² à²à²Šà³ à²¹à²²à²µà³  à²žà³à²µà²€à²à²€à³à²° à²à²à²à²à²³ à²à²à³à²à³à²; à² à²à²à²à²à²³à³ à²à²à³à²žà³ à²à²®à³ à²à²²à³ à²®à³à²à²Ÿà²à²€à²° à²µà²¿à²·à²¯ à²®à²€à³à²€à³ à²žà²à²Šà³à²¶à²à²³à²šà³à²šà³ à²µà²¿à²šà²¿à²®à²¯ à²®à²Ÿà²¡à²¿à²à³à²³à³à²³à³à²€à³à²€à²µà³: à²¹à³à²à³ à²
 à²Šà³ à²¹à²°à²¡à³ à²®à²Ÿà²Šà²°à²¿à²¯à²²à³à²²à²¿ à²à³à²²à²ž à²®à²Ÿà²¡à³à²µà³à²Šà²°à²¿à²à²Š à²
-à²Šà²° à²à²Ÿà²°à³à²¯  à²µà²¿à²µà²¿à²§ à²žà²°à³à²µà²°à³âà²à²³à²²à³à²²à²¿ à²¹à²à²à²²à³ à²žà²Ÿà²§à³à²¯à²µà²Ÿà²à³à²€à³à²€à²Šà³. à² à²žà²Ÿà²§à³à²¯à²€à³à²¯à²¿à²à²Šà²Ÿà²à²¿ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ââà²
-à²šà³à²šà³ à²šà²¿à²®à³à²®  à²
-à²µà²¶à³à²¯à²à²€à³à²à²³à²¿à²à²šà³à²à³à²£à²µà²Ÿà²à²¿ à²¹à³à²à²Šà²¿à²žà²¬à²¹à³à²Šà³ à²¹à²Ÿà²à³ à²µà²¿à²žà³à²€à²°à²¿à²žà²¬à²¹à³à²Šà³. à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ 3 à²à³à²à³  à²žà²à²¬à²à²§à²¿à²žà²¿à²Š à²à³à²ªà²¿à²¡à²¿, à²Šà²žà³à²€à²Ÿà²µà³à²à³ à²®à²€à³à²€à³ à²ªà²°à³à²à³à²·à²Ÿ à²¬à²¿à²¡à³à²à²¡à³à²à²³à²šà³à²šà³  <a href="http://www.greenstone.org/greenstone3.html">Greenstone 3 home page</a> à²šà²¿à²à²Š à²à²³à²¿à²žà²¿à²à³à²³à³à²³à²¬à²¹à³à²Šà³.}  
+à²Šà²° à²à²Ÿà²°à³à²¯  à²µà²¿à²µà²¿à²§ à²žà²°à³à²µà²°à³âà²à²³à²²à³à²²à²¿ à²¹à²à²à²²à³ à²žà²Ÿà²§à³à²¯à²µà²Ÿà²à³à²€à³à²€à²Šà³. à² à²žà²Ÿà²§à³à²¯à²€à³à²¯à²¿à²à²Šà²Ÿà²à²¿ à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ââà²šà²šà³à²šà³ à²šà²¿à²®à³à²®  à²
+à²µà²¶à³à²¯à²à²€à³à²à²³à²¿à²à²šà³à²à³à²£à²µà²Ÿà²à²¿ à²¹à³à²à²Šà²¿à²žà²¬à²¹à³à²Šà³ à²¹à²Ÿà²à³ à²µà²¿à²žà³à²€à²°à²¿à²žà²¬à²¹à³à²Šà³. à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ 3 à²à³à²à³  à²žà²à²¬à²à²§à²¿à²žà²¿à²Š à²à³à²ªà²¿à²¡à²¿, à²Šà²žà³à²€à²Ÿà²µà³à²à³ à²®à²€à³à²€à³ à²ªà²°à³à²à³à²·à²Ÿ à²¬à²¿à²¡à³à²à²¡à³à²à²³à²šà³à²šà³  <a href="http://www.greenstone.org/greenstone3.html">Greenstone 3 home page</a> à²šà²¿à²à²Š à²à²³à²¿à²žà²¿à²à³à²³à³à²³à²¬à²¹à³à²Šà³. }  
 
 _textcreditstitle_ [l=kn] {à²®à²šà³à²šà²£à³}  
 
-_textwhoswho_ [l=kn] {à²à³à²°à³à²šà³âà²žà³à²à³à²šà³â à²€à²à²€à³à²°à²Ÿà²à²¶ à²¹à²²à²µà²Ÿà²°à³ à²à²šà²° à²žà²¹à²à²Ÿà²°à²Š à²«à²². à²à²¯à²Ÿà²šà³ à²µà²¿à²à³à²à³à²šà³ - à² à²¯à³à²à²šà³à²¯ à²žà³à²¥à²Ÿà²ªà² - à²¹à²Ÿà²à³ à²°à²Ÿà²¡à³à²à²°à³ à²®à³à²à³à²šà²Ÿà²¬à³ à²®à²€à³à²€à³ à²žà³à²à³à²«à²šà³ à²¬à²Ÿà²¡à²¿ à²à²Šà²° à²®à³à²à³à²¯ à²¶à²¿à²²à³à²ªà²¿à²à²³à³ à²®à²€à³à²€à³ à²à²Ÿà²°à³à²¯à²°à³à²ªà²à³à²à³ à²€à²à²Šà²µà²°à³.  à² à²€à²à²€à³à²°à²Ÿà²à²¶à²à³à²à³ à²à³à²¡à³à²à³ à²šà³à²¡à²¿à²Šà²µà²°à³à²à²Šà²°à³:_à²à³à²¡à³à²à³ à²šà³à²¡à²¿à²Šà²µà²° à²ªà²à³à²à²¿ _ à²šà³à²¯à³à²à²¿à²²à³à²à²¡à³ à²¡à²¿à²à²¿à²à²²à³ à²à³à²°à²à²¥à²Ÿà²²à²¯ à²¯à³à²à²šà³à²¯ à²à²€à²° à²žà²Šà²žà³à²¯à²°à³ à² à²€à²à²€à³à²°à²Ÿà²à²¶ à²°à³à²ªà²¿à²žà³à²µà²²à³à²²à²¿ à²žà²²à²¹à³ à²šà³à²¡à²¿ à²à²€à³à²€à³à²à²¿à²žà²¿à²Šà³à²Šà²Ÿà²°à³._à²à²€à³à²€à³à²à²šà²Ÿà²ªà²à³à²à²¿_  à²à²¿à²à²šà³âà²¯à³ à²
-à²šà³à²®à²€à²¿ à²ªà²¡à³à²Š à² à²µà²¿à²€à²°à²£à³à²¯à³à²à²Šà²¿à²à³ à²à²°à³à²µ à²à²²à³à²² à²€à²à²€à³à²°à²Ÿà²à²¶à²à²³à²šà³à²šà³ à²°à³à²ªà²¿à²žà³à²µà²²à³à²²à²¿ à²žà²¹à²à²°à²¿à²žà²¿à²Š à²à²²à³à²²à²°à²¿à²à³ à²šà²®à³à²® à²§à²šà³à²¯à²µà²Ÿà²Šà²à²³à³:_à²à²¿ à²à²šà³ à²¯à³ à²ªà³à²¯à²Ÿà²à³à²à³â à²ªà²à³à²à²¿_}  
+_textwhoswho_ [l=kn] {à²à³à²°à³à²šà³âà²žà³à²à³à²šà³â à²€à²à²€à³à²°à²Ÿà²à²¶ à²¹à²²à²µà²Ÿà²°à³ à²à²šà²° à²žà²¹à²à²Ÿà²°à²Š à²«à²². à²à²¯à²Ÿà²šà³ à²µà²¿à²à³à²à³à²šà³ - à² à²¯à³à²à²šà³à²¯ à²žà³à²¥à²Ÿà²ªà² - à²¹à²Ÿà²à³ à²°à²Ÿà²¡à³à²à²°à³ à²®à³à²à³à²šà²Ÿà²¬à³ à²®à²€à³à²€à³ à²žà³à²à³à²«à²šà³ à²¬à²Ÿà²¡à²¿ à²à²Šà²° à²®à³à²à³à²¯ à²¶à²¿à²²à³à²ªà²¿à²à²³à³ à²®à²€à³à²€à³ à²à²Ÿà²°à³à²¯à²°à³à²ªà²à³à²à³ à²€à²à²Šà²µà²°à³.  à² à²€à²à²€à³à²°à²Ÿà²à²¶à²à³à²à³ à²à³à²¡à³à²à³ à²šà³à²¡à²¿à²Šà²µà²°à³à²à²Šà²°à³: _contributorlist_  à²šà³à²¯à³à²à²¿à²²à³à²à²¡à³ à²¡à²¿à²à²¿à²à²²à³ à²à³à²°à²à²¥à²Ÿà²²à²¯ à²¯à³à²à²šà³à²¯ à²à²€à²° à²žà²Šà²žà³à²¯à²°à³ à² à²€à²à²€à³à²°à²Ÿà²à²¶ à²°à³à²ªà²¿à²žà³à²µà²²à³à²²à²¿ à²žà²²à²¹à³ à²šà³à²¡à²¿ à²à²€à³à²€à³à²à²¿à²žà²¿à²Šà³à²Šà²Ÿà²°à³. _inspirationlist_  à²à²¿à²à²šà³âà²¯à³ à²
+à²šà³à²®à²€à²¿ à²ªà²¡à³à²Š à² à²µà²¿à²€à²°à²£à³à²¯à³à²à²Šà²¿à²à³ à²à²°à³à²µ à²à²²à³à²² à²€à²à²€à³à²°à²Ÿà²à²¶à²à²³à²šà³à²šà³ à²°à³à²ªà²¿à²žà³à²µà²²à³à²²à²¿ à²žà²¹à²à²°à²¿à²žà²¿à²Š à²à²²à³à²²à²°à²¿à²à³ à²šà²®à³à²® à²§à²šà³à²¯à²µà²Ÿà²Šà²à²³à³: _gnupackagelist_}  
 
 _textaboutgslong_ [l=kn] {à²à³à²°à³à²šà³âà²žà³à²à³à²šà³ à²€à²à²€à³à²°à²Ÿà²à²¶à²Š à²¬à²à³à²à³}  