Index: main/trunk/greenstone2/macros/port-pt.dm
===================================================================
--- main/trunk/greenstone2/macros/port-pt.dm	(revision 23671)
+++ main/trunk/greenstone2/macros/port-pt.dm	(revision 23692)
@@ -63,7 +63,7 @@
 # Dublin Core Metadata Element Set, Version 1.1
 _textTitle_ [l=pt-pt] {TÃ­tulo}  
-_labelTitle_ [l=pt-pt] {TÃ­tulos A-Z}
+_labelTitle_ [l=pt-pt] {TÃ­tulos}  
 _textCreator_ [l=pt-pt] {Criador}  
-_labelCreator_ [l=pt-pt] {Autors A-Z}
+_labelCreator_ [l=pt-pt] {Autores}  
 _textSubject_ [l=pt-pt] {Assunto}  
 _labelSubject_ [l=pt-pt] {Assuntos}
@@ -123,12 +123,12 @@
 _textdescrType_ [l=pt-pt] {Ler por tipo de recurso}  
 _textdescrIdentifier_ [l=pt-pt] {Ler pelo identificador do recurso}  
-_textdescrSource_ [l=pt-pt] {Ãndice de nomes de ficheiros originais}
-_textdescrTo_ [l=pt-pt] {Ãndice do campo Para}
+_textdescrSource_ [l=pt-pt] {Ver nomes de ficheiros originais}  
+_textdescrTo_ [l=pt-pt] {Ver por Para campo}  
 _textdescrFrom_ [l=pt-pt] {Indice do campo De}
 _textdescrCollage_ [l=pt-pt] {Ler atravÃ©s de colagem de imagens}  
-_textdescrAcronym_ [l=pt-pt] {Ãndice dos acrÃ³nimos}
-_textdescrPhrase_ [l=pt-pt] {Ãndice de frases}
-_textdescrHowto_ [l=pt-pt] {Ãndice de categorias como}
-_textdescrBrowse_ [l=pt-pt] {Listar}
+_textdescrAcronym_ [l=pt-pt] {Ver acrÃ³nimos}  
+_textdescrPhrase_ [l=pt-pt] {Ver frases}  
+_textdescrHowto_ [l=pt-pt] {Ver categorias como fazer}  
+_textdescrBrowse_ [l=pt-pt] {Ver documentos}  
 _texticontext_ [l=pt-pt] {Ver o documento}
 _texticonclosedbook_ [l=pt-pt] {Abrir este documento e visualizar o conteÃºdo}
@@ -152,5 +152,5 @@
 _pages_ [l=pt-pt] {pÃ¡ginas}
 _of_ [l=pt-pt] {de }
-_vol_ [l=pt-pt] {Vol.}
+_vol_ [l=pt-pt] {Volume}  
 _num_ [l=pt-pt] {No.}
 
@@ -200,15 +200,15 @@
 _textpagetitle_ [l=pt-pt] {Livraria Digital Greenstone}  
 
-
-
-
-
+_textnocollections_ [l=pt-pt] {NÃ£o existem coleÃ§Ãµes disponÃ­veis ( construidas e publicas)}  
+
+_textadmin_ [l=pt-pt] {PÃ¡gina de AdministraÃ§Ã£o}  
+_textabgs_ [l=pt-pt] {Acerca de Greenstone}  
 _textgsdocs_ [l=pt-pt] {DocumentaÃ§Ã£o Greenstone }  
 
-
-
-
-
-
+_textdescradmin_ [l=pt-pt] {Permite acrescentar novos utilizadores, acrescenta coleÃ§Ãµes ao sistema, disponibiliza informaÃ§Ã£o tÃ©cnica sobre a instalaÃ§Ã£o Greenstone}  
+
+_textdescrgogreenstone_ [l=pt-pt] {InformaÃ§Ãµes sobre o programa Greenstone e a Livraria Digital da Nova ZelÃ¢ndia}  
+
+_textdescrgodocs_ [l=pt-pt] {Manuais Greenstone }  
 
 #####################################################################
@@ -299,17 +299,17 @@
 _textCONTINUE_ [l=pt-pt] {CONTINUAR??}
 
-_textEXPANDTEXT_ [l=pt-pt] {EXPANDIR\nTEXTO}
-
-_textCONTRACTCONTENTS_ [l=pt-pt] {CONTRAIR\nCONTEÃDO}
+_textEXPANDTEXT_ [l=pt-pt] {EXPANDIR TEXTO}  
+
+_textCONTRACTCONTENTS_ [l=pt-pt] {CONTRAIR CONTEÃDO}  
 
 _textDETACH_ [l=pt-pt] {SEPARAR}
 
-_textEXPANDCONTENTS_ [l=pt-pt] {EXPANDIR\nCONTEÃDO}
-
-_textCONTRACT_ [l=pt-pt] {CONTRAIR\nTEXTO}
+_textEXPANDCONTENTS_ [l=pt-pt] {EXPANDIR CONTEÃDO}  
+
+_textCONTRACT_ [l=pt-pt] {CONTRAIR TEXTO}  
 
 _textHIGHLIGHT_ [l=pt-pt] {DESTACAR}
 
-_textNOHIGHLIGHT_ [l=pt-pt] {NÃO\nDESTACAR}
+_textNOHIGHLIGHT_ [l=pt-pt] {NÃO DESTACAR}  
 
 _textPRINT_ [l=pt-pt] {IMPRIMIR}  
@@ -375,5 +375,5 @@
 _textfieldphrase_ [l=pt-pt] {Campo}  
 _textinwords_ [l=pt-pt] {... Em palavra(s)}  
-_textfoldstem_ [l=pt-pt] {(dobra, eixo)}
+_textfoldstem_ [l=pt-pt] {(fechado, aberto)}  
 
 _textadvquery_ [l=pt-pt] {Ou introduza a pesquisa directamente:}
@@ -549,5 +549,5 @@
 
 _textSearchhelp_ [l=pt-pt] {procurar por palavras especÃ­ficas que aparecem no texto clicando em _labelSearch_ button}  
-
+_textTohelp_ [l=pt-pt] {pesquisar documentos por Campo clicando em  _labelTo_ button}  
 _textFromhelp_ [l=pt-pt] {ver documentos Por campo clicando em the _labelFrom_ button}  
 _textBrowsehelp_ [l=pt-pt] {ver documentos}  
@@ -579,20 +579,20 @@
 _texthelpqueryterms_ [l=pt-pt] {<p>Tudo o que digitar na caixa de consulta Ã© interpretado como uma lista de palavras chamada "termos de pesquisa."  Cada termo deve conter apenas caracteres e dÃ­gitos. Termos sÃ£o separados por espaÃ§os em branco. Se aparecer qualquer  outro caracter, como por exemplo pontuaÃ§Ã£o, ele serÃ¡ usado como separadores de termos, tal como se fossem espaÃ§os.  NÃ£o se pode pesquisar palavras que incluam pontuaÃ§Ã£o.   <p>Por exemplo, a consulta <p>     <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>       <p>SerÃ¡ processada como<p>       <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p> }  
 
-
-
-
+_texthelpmgppsearching_ [l=pt-pt] {Para coleÃ§Ãµes construidas com MGPP algumas outras opÃ§Ãµes estÃ£o disponÃ­veis  <ul> <li>A <b>*</b> no fim de um termo da pesquisa encontra todas as palavras <b>comeÃ§ando por</b> essa palavra,por exemplo <b>comput*</b> encontra todas as palavras comeÃ§ando por <b>comput</b>. <li><b>/x</b> pode ser usado para dar um maior peso a um ou mais termos da pesquisa, eg <b>computador/10 ciÃªncia</b> da a computador 10 vezes mais peso que a ciÃªncia aquando da classificaÃ§Ã£o de documentos. </ul> }  
+
+_texthelplucenesearching_ [l=pt-pt] {Para coleÃ§Ãµes construidas com Lucene algumas outras opÃ§Ãµes estÃ£o disponÃ­veis.   <ul> <li><b>?</b> pode ser usado como joker no lugar de uma simples letra. Por exemplo, <b>b?t</b> corresponderÃ¡ <b>bet</b>, <b>bit</b> and <b>bat</b> etc. <li><b>*</b>  pode ser usado como joker no lugar de multiplas letras. Por exemplo, <b>comput*</b> corresponderÃ¡ a todas as palavras comeÃ§adas por <b>comput</b>. </ul>Ambos estes jokers podem ser utilizados no meio de um termo ou no fim. NÃ£o podem ser usados no inÃ­cio do termo de pesquisa. }  
 
 _texthelpquerytypetitle_ [l=pt-pt] {Tipos de pesquisa}
 _texthelpquerytype_ [l=pt-pt] {<p>Existem dois tipos diferentes de pesquisa.  <ul>   <li>Pesquisas por <b>todas</b> as palavras.  Esta opÃ§Ã£o procura documentos        que contenham todas as palavras especificadas. Os documentos que  satisfaÃ§am a pesquisa serÃ£o apresentados por ordem alfabÃ©tica .<p>    <li> Pesquisas por <b>algumas</b> das palavras.  Podem-se indicar alguns termos        que se espera existam nos documentos que se procuram. Os documentos sÃ£o apresentados na ordem mais prÃ³xima da pesquisa.  O grau de proximidade Ã© determinado        <p><ul>         <li> quanto mais termos um documento contenha, mais prÃ³ximo estarÃ¡;         <li> termos raros sÃ£o mais importantes que termos comuns;         <li> documentos menores sÃ£o mais relevantes que documentos grandes.       </ul> </ul>  <p>Podem-se usar quantos termos se quiser - uma frase completa, ou mesmo um parÃ¡grafo completo. Se especificar apenas um termo, ~ os documentos serÃ£o ordenados por frequÃªncia de ocorrÃªncia.<p> }  
 
-
+_texthelpadvancedsearchtitle_ [l=pt-pt] {Pesquisa avanÃ§ada usando o _1_ search engine}  
 
 _texthelpadvancedsearch_ [l=pt-pt] {<p>Se  selecionar o modo de consulta avanÃ§ada (nas preferÃªncias) terÃ¡ ligeiras  diferenÃ§as nas opÃ§Ãµes de pesquisa.}  
 
-
-
-
-
-
+_texthelpadvsearchmg_ [l=pt-pt] {Pesquisa avanÃ§ada em coleÃ§Ãµes MG permite-lhe duas opÃ§Ãµes, classificadas e boleanas. A pesquisa <b>classificada</b> Ã© exactamente igual a pesquisa <b>alguma</b> descrita em <a href="\#query-type">_texthelpquerytypetitle_</a>. <p>_texthelpbooleansearch_}  
+
+_texthelpbooleansearch_ [l=pt-pt] {A  pesquisa<b>boleana</b>permite combinar termos usando & (para "and"), | para "or"), e ! (para "not"), usando paranteses para grupos, se desejado. O operador por defeito Ã© | (para"or"). <p>Por exemplo, <b>caracois & quinta</b> vai corresponder documentos que contÃªm  <b>caracoisl</b> AND <b>quinta</b>, como <b>caracois | quinta</b> vai corresponder documentos que contÃªm quer <b>caracois</b> OR <b>quinta</b>. <b>snail !farming</b> vai corresponder documentos que contÃªm <b>caracois</b> AND DO NOT contÃªm <b>quinta</b>. <p> Pesquisas maisprecisas podem ser especificadas utilizando combinaÃ§Ãµes de operadores e parenteses. Por exemplo, <b>(ovelha | castelo) & (quinta | estaÃ§Ã£o)</b>, ou <b>ovelha | castelo | cabra !porco</b>. }  
+
+_texthelpadvsearchmgpp_ [l=pt-pt] {Pesquisa avanÃ§ada em coleÃ§Ãµes MGPP utilizam operadores boleanos. _texthelpbooleansearch_ <p>O resultado pode sera apresentado em ordem <b>classificada</b> , como descrito para pesquisa<b>alguma</b>em<a href="\#query-type">_texthelpquerytypetitle_</a>, ou em "natural" (ou ordem "construido") . O Ãºltimo Ã© a ordem que os documentos sÃ£o processados durante a criaÃ§Ã£o da coleÃ§Ã£o. <p>Outros operadores incluem <b>NEARx</b> e <b>WITHINx</b>. NEARx Ã© usado para especificar a mÃ¡xima dist|ancia (x palavras) que pode separar dois termos de pesquisa de um documento para correspondÃªncia. WITHINx especifica que o segundo termo deve ocorrer dentro de x palavras <i>depois</i> primeiro termo. Este Ã© semelhante a  NEAR mas a ordem Ã© importante. A distÃ¢ncia por defeito Ã© 20. }  
 
 _texthelpadvancedsearchextra_ [l=pt-pt] {NOTA: Estes operadores sÃ£o todos ignorados se procurar no modo consulta simples}  
@@ -602,7 +602,7 @@
 _texthelpformsearchtitle_ [l=pt-pt] {Campo de pesquisa}  
 
-
-
-
+_texthelpformsearch_ [l=pt-pt] {<p>O campo de pesquisa disponibiliza a oportunidade de combinar pesquisas entre campos. Por exemplo, uma pesquisa por "Campo" no TÃ­tulo AND "quinta caracois" no Assunto. No modo de pesquisa simples no formulario, cada linha de pesquisa comporta-se como pesquisa normal. As linhas individuais estÃ£o combinadas com AND (para "toda" pesquisa) ou OR (para "alguma" pesquisa). Termos dentro de um campo sÃ£o combinados da mesma forma.Na pesquisa avanÃ§ada podem ser combinadas diversas combinaÃ§Ãµes AND/OR/NOT entre os camposusando as diversas listas e dentro de um campo podem ser utilizados os operadores boleanos. }  
+
+_texthelpformstemming_ [l=pt-pt] {As caixas "fechados" e "abertos" permitem-lhe especificar se os termos no interior desse campo sÃ£o restritos ou livres. Ambos os termos sÃ£o desligados por defeito na pesquisa avanÃ§ada.}  
 
 _textdatesearch_ [l=pt-pt] {Pesquisa com Datas}
@@ -652,14 +652,14 @@
 
 _textcasefoldprefs_ [l=pt-pt] {Um par de botÃµes controla se as maiÃºsculas os as minÃºsculas devem coincidir aquando da pesquisa. Por exemplo, se "_preferences:textignorecase_" estiver selecionado, <i>snail farming</i> serÃ¡ tratado da mesma forma que <i>Snail Farming</i> e que <i>SNAIL FARMING</i>.}  
-
+_textstemprefs_ [l=pt-pt] {Um par de botÃµes de controle em que sÃ£io ignoradas as terminaÃ§Ãµes das palavras ou nÃ£o aquando da pesquisa. Por exemplo, se "_preferences:textstem_" estiver selecionado, <i>snail farming</i> serÃ¡ tratado de igual forma que <i>snails farm</i> e <i>snail farmer</i>. Neste momento este sistema sÃ³ funciona com texto em InglÃªs. _selectstemoptionsprefs_}  
 _textaccentfoldprefs_ [l=pt-pt] {Um par de botÃµes controla se as letras acentuadas e as nÃ£o acentuadas devem coincidir aquando da pesquisa. Por exemplo, se "_preferences:textignoreaccents_" estiver selecionado, <i>fÃ©dÃ©ration</i> serÃ¡ tratado da mesma maneira que <i>fedÃ©ration</i> e que <i>federation</i>.}  
  
-
-
-
-
-
-
-
+_textstemoptionsprefs_ [l=pt-pt] {SerÃ¡ mais conveniente e preciso utilizar o sistema de pesquisa descrito abaixo em "_texthelpquerytermstitle_".}  
+
+_textsearchtypeprefsplain_ [l=pt-pt] {Ã possÃ­vel obter uma grande caixa de consulta, para que possa ser facilmente pesquisado por tamanho de parÃ¡grafo. Ã surpreendentemente rÃ¡pido pesquisar grandes quantidades de texto.}  
+
+_textsearchtypeprefsform_ [l=pt-pt] {Pode ser alterado o numero de campos apresentados no formulario de pesquisa.}  
+
+_textsearchtypeprefsboth_ [l=pt-pt] {PoderÃ¡ ser alternado entre tipo de pesquisa de coleÃ§Ã£o "normal", e pesquisa "desdobrada".  <ul> <li>Pesquisa normal disponibiliza uma caixa de pesquisa simples. _textsearchtypeprefsplain_</li> <li>Pesquisa desdobrada disponibiliza um numero de caixas de pesquisa, cada pesquisa com um diferente campo de de indice. Permitindo uma pesquisa sobre diferentes campos de uma sÃ³ vez. _textsearchtypeprefsform_ </li> </ul> }  
 
 