Index: main/trunk/greenstone2/macros/port-pt.dm
===================================================================
--- main/trunk/greenstone2/macros/port-pt.dm	(revision 23692)
+++ main/trunk/greenstone2/macros/port-pt.dm	(revision 23698)
@@ -26,5 +26,5 @@
 _textsignin_ [l=pt-pt] {registar}
 
-
+_texttruncated_ [l=pt-pt] {[truncated]}  
 
 _textdefaultcontent_ [l=pt-pt] {A pÃ¡gina requerida nÃ£o pode ser encontrada. Por favor,
@@ -59,5 +59,5 @@
 
 _textSearch_ [l=pt-pt] {Pesquisa}  
-_labelSearch_ [l=pt-pt] {Pesquisa}
+_labelSearch_ [l=pt-pt] {Pesquisa}  
 
 # Dublin Core Metadata Element Set, Version 1.1
@@ -103,5 +103,5 @@
 # Miscellaneous Greenstone metadata
 _textPhrase_ [l=pt-pt] {Frase}  
-_labelPhrase_ [l=pt-pt] {Frases}
+_labelPhrase_ [l=pt-pt] {Frases}  
 _textCollage_ [l=pt-pt] {Colagem}  
 _labelCollage_ [l=pt-pt] {Colagem}  
@@ -125,5 +125,5 @@
 _textdescrSource_ [l=pt-pt] {Ver nomes de ficheiros originais}  
 _textdescrTo_ [l=pt-pt] {Ver por Para campo}  
-_textdescrFrom_ [l=pt-pt] {Indice do campo De}
+_textdescrFrom_ [l=pt-pt] {Indice do campo De}  
 _textdescrCollage_ [l=pt-pt] {Ler atravÃ©s de colagem de imagens}  
 _textdescrAcronym_ [l=pt-pt] {Ver acrÃ³nimos}  
@@ -141,8 +141,8 @@
 _texticonmsword_ [l=pt-pt] {Ver o documento Microsoft Word}
 _texticonmp3_ [l=pt-pt] {Ver o documento MP3}
-_texticonpdf_ [l=pt-pt] {Ver o documento PDF}
-_texticonps_ [l=pt-pt] {Ver o documento PostScript}
-_texticonppt_ [l=pt-pt] {Ver o documento PowerPoint}
-_texticonrtf_ [l=pt-pt] {Ver o documento RTF}
+_texticonpdf_ [l=pt-pt] {Ver o documento PDF}  
+_texticonps_ [l=pt-pt] {Ver o documento PostScript}  
+_texticonppt_ [l=pt-pt] {Ver o documento PowerPoint}  
+_texticonrtf_ [l=pt-pt] {Ver o documento RTF}  
 _texticonxls_ [l=pt-pt] {Ver o documento Microsoft Excel}  
 _texticonogg_ [l=pt-pt] {Ver o documento Ogg Vorbis}  
@@ -170,5 +170,5 @@
 
 _texttext_ [l=pt-pt] {Texto}  
-
+_labeltext_ [l=pt-pt] {_texttext_}  
 _textdocument_ [l=pt-pt] {Documento}
 _textsection_ [l=pt-pt] {SecÃ§Ã£o}
@@ -189,5 +189,5 @@
 _linktextPREFERENCES_ [l=pt-pt] {PREFERÃNCIAS}
 _linktextLOGIN_ [l=pt-pt] {ENTRAR}  
-
+_linktextLOGGEDIN_ [l=pt-pt] {(aceder como_cgiargun_)}  
 _linktextLOGOUT_ [l=pt-pt] {SAIR}  
 
@@ -309,5 +309,5 @@
 _textCONTRACT_ [l=pt-pt] {CONTRAIR TEXTO}  
 
-_textHIGHLIGHT_ [l=pt-pt] {DESTACAR}
+_textHIGHLIGHT_ [l=pt-pt] {DESTACAR}  
 
 _textNOHIGHLIGHT_ [l=pt-pt] {NÃO DESTACAR}  
@@ -366,21 +366,21 @@
 _textmatches_ [l=pt-pt] {Resultados}
 _textbeginsearch_ [l=pt-pt] {Iniciar a Pesquisa}
-_textrunquery_ [l=pt-pt] {Pesquisar}
-_textclearform_ [l=pt-pt] {Limpar}
+_textrunquery_ [l=pt-pt] {Pesquisar}  
+_textclearform_ [l=pt-pt] {Limpar}  
 
 #these go together in form search:
 #"Words  (fold, stem)  ... in field"
-_textwordphrase_ [l=pt-pt] {Palavra ou frase}
-_textinfield_ [l=pt-pt] {... no campo}
+_textwordphrase_ [l=pt-pt] {Palavra ou frase}  
+_textinfield_ [l=pt-pt] {... no campo}  
 _textfieldphrase_ [l=pt-pt] {Campo}  
 _textinwords_ [l=pt-pt] {... Em palavra(s)}  
 _textfoldstem_ [l=pt-pt] {(fechado, aberto)}  
 
-_textadvquery_ [l=pt-pt] {Ou introduza a pesquisa directamente:}
-_textallfields_ [l=pt-pt] {todos os campos}
+_textadvquery_ [l=pt-pt] {Ou introduza a pesquisa directamente:}  
+_textallfields_ [l=pt-pt] {todos os campos}  
 _texttextonly_ [l=pt-pt] {apenas texto}
-_textand_ [l=pt-pt] {e}
-_textor_ [l=pt-pt] {ou}
-_textandnot_ [l=pt-pt] {e nÃ£o}
+_textand_ [l=pt-pt] {e}  
+_textor_ [l=pt-pt] {ou}  
+_textandnot_ [l=pt-pt] {e nÃ£o}  
 
 # _indexselection_, _jselection_, _nselection_ and _gselection_ are set from 
@@ -390,23 +390,23 @@
 # the space after "level" (before the right bracket) is required, otherwise no space between "Search" and "in"
 
-_textsimplesearch_ [l=pt-pt] {Procurar por _indexselection_ _If_(_jselection_, de _jselection_)_If_(_gselection_, no _gselection_ nÃ­vel)_If_(_nselection_, na _nselection_ lÃ­ngua) que contenha _querytypeselection_ palavras}
-
-
-_textadvancedsearch_ [l=pt-pt] {Pesquisar _indexselection_ _If_(_jselection_, de _jselection_)_If_(_gselection_, no _gselection_ nÃ­vel)_If_(_nselection_, na _nselection_ lÃ­ngua) usando _querytypeselection_}
-
-
-
-
-
+_textsimplesearch_ [l=pt-pt] {Procurar por _indexselection_ _If_(_jselection_, de _jselection_)_If_(_gselection_, no _gselection_ nÃ­vel)_If_(_nselection_, na _nselection_ lÃ­ngua) que contenha _querytypeselection_ palavras}  
+_textsimplesqlsearch_ [l=pt-pt] {Pesquisa em _indexselection__If_(_jselection_, associado com _jselection_)_If_(_gselection_, em _gselection_ nÃ­vel )_If_(_nselection_, em _nselection_ lingua)_If_(_sqlsfselection_,\,_allowformbreak_ classificar resultados por _sqlsfselection_) para _querytypeselection_ de palavras}  
+
+_textadvancedsearch_ [l=pt-pt] {Pesquisar _indexselection_ _If_(_jselection_, de _jselection_)_If_(_gselection_, no _gselection_ nÃ­vel)_If_(_nselection_, na _nselection_ lÃ­ngua) usando _querytypeselection_}  
+
+_textadvancedmgppsearch_ [l=pt-pt] {Pesquisa em _indexselection__If_(_jselection_, associado com _jselection_)_If_(_gselection_, at _gselection_ nÃ­vel )_If_(_nselection_, in _nselection_ lingua), e mostrar resultados em _formquerytypeadvancedselection_ ordem, para}  
+
+_textadvancedlucenesearch_ [l=pt-pt] {Pesquisar em _indexselection__If_(_jselection_, associado com _jselection_)_If_(_gselection_, at _gselection_ nÃ­vel )_If_(_nselection_, in _nselection_ lingua)_If_(_sfselection_,\,_allowformbreak_ classificaÃ§Ã£o de resultados por _sfselection_\,) para }  
+_textadvancedsqlsearch_ [l=pt-pt] {Pesquisa em _indexselection__If_(_jselection_, associado com _jselection_)_If_(_gselection_, at _gselection_ nÃ­vel )_If_(_nselection_, in _nselection_ lingua)_If_(_sqlsfselection_,\,_allowformbreak_ classificaÃ§Ã£o de resultados por _sqlsfselection_\,) para }  
 
 # the space after "Search" is required, otherwise no space between "Search" and "in"
 
 _textformsimplesearch_ [l=pt-pt] {Procurar _If_(_jselection_, _jselection_) _If_(_gformselection_, no _gformselection_ level) _If_(_nselection_, na _nselection_ lÃ­ngua) for _formquerytypesimpleselection_ of}  
-
-
-
-
-
-
+_textformsimplesearchsql_ [l=pt-pt] {Pesquisa _If_(_jselection_, em _jselection_)_If_(_gformselection_, com _gformselection_ nÃ­vel )_If_(_nselection_, em _nselection_ lingua)_If_(_sqlsfselection_,\, classificar os resultados por _sqlsfselection_\,) para _formquerytypesimpleselection_ de }  
+
+_textformadvancedsearchmgpp_ [l=pt-pt] {Pesquisa _If_(_jselection_, in _jselection_)_If_(_gformselection_, em _gformselection_ nÃ­vel )_If_(_nselection_, in _nselection_ lingua), e mostrar resultados em _formquerytypeadvancedselection_ ordem, para }  
+
+_textformadvancedsearchlucene_ [l=pt-pt] {Pesquisa _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ nÃ­vel )_If_(_nselection_, in _nselection_ lingua)_If_(_sfselection_,\, classificar resultados por _sfselection_\,) para }  
+_textformadvancedsearchsql_ [l=pt-pt] {Pesquisa _If_(_jselection_, em _jselection_)_If_(_gformselection_, com _gformselection_ nÃ­vel )_If_(_nselection_, em _nselection_ lingua)_If_(_sqlsfselection_,\, classificar resultados por _sqlsfselection_\,) para }  
 
 _textnojsformwarning_ [l=pt-pt] {Aviso: O Javascript estÃ¡ desactivado no seu briwser. <br> Para usar formulÃ¡rios de pesquisa deve activÃ¡-lo.}
@@ -416,5 +416,5 @@
 _textbc_ [l=pt-pt] {A.E.C.}
 _textad_ [l=pt-pt] {E.C.}
-_textexplaineras_ [l=pt-pt] {E.C. e A.E.C. sÃ£o alternativas para D.C. e A.C., respectivamente. Estes termos sÃ£o considerados culturalmente nÃ£o descriminatÃ³rios, significando "Era Comum" e "Antes da Era Comum"}
+_textexplaineras_ [l=pt-pt] {E.C. e A.E.C. sÃ£o alternativas para D.C. e A.C., respectivamente. Estes termos sÃ£o considerados culturalmente nÃ£o descriminatÃ³rios, significando "Era Comum" e "Antes da Era Comum"}  
 
 _textstemon_ [l=pt-pt] {(ignorar final das palavras)}
@@ -423,5 +423,5 @@
 
 #text macros for search history
-_textnohistory_ [l=pt-pt] {HistÃ³rico de pesquisa nÃ£o disponÃ­vel}
+_textnohistory_ [l=pt-pt] {HistÃ³rico de pesquisa nÃ£o disponÃ­vel}  
 _texthresult_ [l=pt-pt] {resultado}
 _texthresults_ [l=pt-pt] {resultados}
@@ -455,9 +455,9 @@
 _textpreferences_ [l=pt-pt] {PreferÃªncias}
 _textcasediffs_ [l=pt-pt] {DiferenÃ§as maiÃºsculas/minÃºsculas}
-_textignorecase_ [l=pt-pt] {ignorar diferenÃ§as entre maiÃºsculas/minÃºsculas}
-_textmatchcase_ [l=pt-pt] {verificar maiÃºsculas/minÃºsculas}
-_textwordends_ [l=pt-pt] {TerminaÃ§Ãµes de palavras:}
-_textstem_ [l=pt-pt] {ignorar terminaÃ§Ãµes das palavras}
-_textnostem_ [l=pt-pt] {verificar palavra inteira}
+_textignorecase_ [l=pt-pt] {ignorar diferenÃ§as entre maiÃºsculas/minÃºsculas}  
+_textmatchcase_ [l=pt-pt] {verificar maiÃºsculas/minÃºsculas}  
+_textwordends_ [l=pt-pt] {TerminaÃ§Ãµes de palavras:}  
+_textstem_ [l=pt-pt] {ignorar terminaÃ§Ãµes das palavras}  
+_textnostem_ [l=pt-pt] {verificar palavra inteira}  
 _textaccentdiffs_ [l=pt-pt] {diferenÃ§as de acentos:}  
 _textignoreaccents_ [l=pt-pt] {ignorar acentos}  
@@ -471,7 +471,7 @@
 _textformat_ [l=pt-pt] {Formato da Interface: }
 _textall_ [l=pt-pt] {todos}
-_textquerymode_ [l=pt-pt] {Modo de pesquisa:}
-_textsimplemode_ [l=pt-pt] {modo de pesquisa simples}
-_textadvancedmode_ [l=pt-pt] {modo de pesquisas avanÃ§adas (permite pesquisas booleanas usando !, &, |, e parÃªntesis)}
+_textquerymode_ [l=pt-pt] {Modo de pesquisa:}  
+_textsimplemode_ [l=pt-pt] {modo de pesquisa simples}  
+_textadvancedmode_ [l=pt-pt] {modo de pesquisas avanÃ§adas (permite pesquisas booleanas usando !, &, |, e parÃªntesis)}  
 _textlinkinterm_ [l=pt-pt] {atravÃ©s de pÃ¡gina intermÃ©dia}
 _textlinkdirect_ [l=pt-pt] {ir directamente para lÃ¡}
@@ -485,6 +485,6 @@
 
 _textsearchtype_ [l=pt-pt] {tipo de consulta:}  
-
-
+_textformsearchtype_ [l=pt-pt] {preenchido com _formnumfieldoption_ campos}  
+_textsqlformsearchtype_ [l=pt-pt] {preenchido com SQL _sqlformnumfieldoption_ campos}  
 _textplainsearchtype_ [l=pt-pt] {normal com _boxsizeoption_ query box}  
 _textregularbox_ [l=pt-pt] {linha simples}  
@@ -492,8 +492,8 @@
 
 _textrelateddocdisplay_ [l=pt-pt] {mostrar documentos relacionados}
-_textsearchhistory_ [l=pt-pt] {HistÃ³rico de pesquisa:}
-_textnohistory_ [l=pt-pt] {Sem histÃ³rico de pesquisa}
-_texthistorydisplay_ [l=pt-pt] {mostrar _historynumrecords_ pesquisas do histÃ³rico}
-_textnohistorydisplay_ [l=pt-pt] {nÃ£o mostrar histÃ³rico de pesquisa}
+_textsearchhistory_ [l=pt-pt] {HistÃ³rico de pesquisa:}  
+_textnohistory_ [l=pt-pt] {Sem histÃ³rico de pesquisa}  
+_texthistorydisplay_ [l=pt-pt] {mostrar _historynumrecords_ pesquisas do histÃ³rico}  
+_textnohistorydisplay_ [l=pt-pt] {nÃ£o mostrar histÃ³rico de pesquisa}  
 
 _textbookoption_ [l=pt-pt] {Modo de visualizaÃ§Ã£o de livro:}  
@@ -524,5 +524,5 @@
 _textany_ [l=pt-pt] {qualquer um}
 _textwords_ [l=pt-pt] {das palavras}
-_textleaveblank_ [l=pt-pt] {deixe esta caixa em branco para recuperar todos os documentos}
+_textleaveblank_ [l=pt-pt] {deixe esta caixa em branco para recuperar todos os documentos}  
 
 _browsebuttontext_ [l=pt-pt] {"Ordenar Documentos"}
@@ -606,5 +606,5 @@
 _texthelpformstemming_ [l=pt-pt] {As caixas "fechados" e "abertos" permitem-lhe especificar se os termos no interior desse campo sÃ£o restritos ou livres. Ambos os termos sÃ£o desligados por defeito na pesquisa avanÃ§ada.}  
 
-_textdatesearch_ [l=pt-pt] {Pesquisa com Datas}
+_textdatesearch_ [l=pt-pt] {Pesquisa com Datas}  
 
 _texthelpdatesearch_ [l=pt-pt] {A pesquisa por datas permite encontrar documentos que, alÃ©m de verificarem os termos de pesquisa, sÃ£o ainda sobre eventos dentro d eum determinado intervalo de tempo. Pode-se procurar por documentos de um determinado ano ou intervalo de anos. De notar que nÃ£o Ã© necessÃ¡rio usar nenhum termo de pesquisa -- pode-s epesquisar apenas por data; tambÃ©m Ã© possÃ­vel nÃ£o usar data na pesquisa, se tal acontecer a pesquisa serÃ¡ feita sem considerar datas.<p>