Index: /main/trunk/greenstone2/macros/bengali.dm
===================================================================
--- /main/trunk/greenstone2/macros/bengali.dm	(revision 23699)
+++ /main/trunk/greenstone2/macros/bengali.dm	(revision 23700)
@@ -29,5 +29,5 @@
 _textsignin_ [l=bn] {àŠªà§àŠ°àŠ¬à§àŠ¶ àŠàŠ°à§àŠš  }
 
-_texttruncated_ [l=bn] {[àŠàŠšà§àŠ¡àŠ¿àŠ€]}  
+_texttruncated_ [l=bn] {[àŠàŠšà§àŠ¡àŠ¿àŠ€]}
 
 _textdefaultcontent_ [l=bn] {àŠ
@@ -52,6 +52,6 @@
 _textdescrhelp_ [l=bn] {àŠžàŠŸàŠ¹àŠŸàŠ¯à§àŠ¯à§àŠ° àŠàŠšà§àŠ¯ àŠàŠ àŠªà§àŠ·à§àŠ àŠŸàŠàŠ¿ àŠŠà§àŠà§àŠš }  
 _textdescrpref_ [l=bn] {àŠªàŠàŠšà§àŠŠà§àŠ° àŠªà§àŠ·à§àŠ àŠŸ}  
-
-
+_textdescrlogin_ [l=bn] {àŠ²àŠàŠàŠš àŠªà§àŠ·à§àŠ àŠŸ}  
+_textdescrlogout_ [l=bn] {_cgiargun_ àŠ¹àŠ¿àŠžà§àŠ¬à§ àŠ²àŠàŠàŠàŠ àŠ¹à§à§àŠà§}  
 
 _textdescrgreenstone_ [l=bn] {àŠšàŠ¿àŠàŠàŠ¿àŠ²à§àŠ¯àŠŸàŠšà§àŠ¡ àŠ¡àŠ¿àŠàŠ¿àŠàŠŸàŠ² àŠ²àŠŸàŠàŠ¬à§àŠ°à§àŠ°à§ àŠžàŠ«àŠà§àŠà§à§àŠ¯àŠŸàŠ°}  
@@ -209,7 +209,7 @@
 _linktextHELP_ [l=bn] {àŠžàŠŸàŠ¹àŠŸàŠ¯à§àŠ¯}
 _linktextPREFERENCES_ [l=bn] {àŠªàŠàŠšà§àŠŠ}
-
-
-
+_linktextLOGIN_ [l=bn] {àŠ²àŠàŠàŠš}  
+_linktextLOGGEDIN_ [l=bn] {(_cgiargun_ àŠ¹àŠ¿àŠžà§àŠ¬à§ àŠ²àŠàŠàŠš àŠ¹à§à§àŠà§)}  
+_linktextLOGOUT_ [l=bn] {àŠ²àŠàŠàŠàŠ}  
 
 
@@ -430,5 +430,5 @@
 # the space after "level" (before the right bracket) is required, otherwise no space between "Search" and "in"
 
-_textsimplesearch_ [l=bn] { _indexselection_ _If_(_jselection_,àŠàŠ°,_jselection_ )_If_(_gselection_,àŠ€à§ _gselection_ àŠžà§àŠ€àŠ° )_If_(_nselection_,àŠ€à§ _nselection_ àŠ­àŠŸàŠ·àŠŸà§ àŠ
+_textsimplesearch_ [l=bn] {_indexselection_ _If_(_jselection_,àŠàŠ°,_jselection_ )_If_(_gselection_,àŠ€à§ _gselection_ àŠžà§àŠ€àŠ° )_If_(_nselection_,àŠ€à§ _nselection_ àŠ­àŠŸàŠ·àŠŸà§ àŠ
 àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§) àŠ«àŠ²àŠŸàŠ«àŠ² àŠžàŠŸàŠàŠŸàŠš _querytypeselection_ àŠ¶àŠ¬à§àŠŠà§àŠ° àŠàŠšà§àŠ¯ }  
 _textsimplesqlsearch_ [l=bn] {_indexselection__If_(_jselection_, àŠàŠ° àŠžàŠŸàŠ¥à§ _jselection_)_If_(_gselection_, àŠ€à§ _gselection_ level )_If_(_nselection_, àŠàŠ° àŠ®àŠ§à§àŠ¯à§ _nselection_ àŠ­àŠŸàŠ·àŠŸà§ àŠ
@@ -634,5 +634,5 @@
 àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°àŠ€à§ àŠªàŠŸàŠ°à§àŠš}  
 _textTohelp_ [l=bn] {_labelTo_ àŠ¬àŠŸàŠàŠšà§ àŠà§àŠ²àŠ¿àŠ àŠàŠ°à§ "àŠªàŠ°à§àŠ¯àŠšà§àŠ€" àŠ«àŠ¿àŠ²à§àŠ¡à§àŠ° àŠ®àŠŸàŠ§à§àŠ¯àŠ®à§ àŠ¡àŠà§àŠ®à§àŠšà§àŠàŠžàŠ®à§àŠ¹ àŠ¬à§àŠ°àŠŸàŠàŠ àŠàŠ°à§àŠš}  
-_textFromhelp_ [l=bn] { _labelFrom_ àŠ¬àŠŸàŠàŠšà§ àŠà§àŠ²àŠ¿àŠ àŠàŠ°à§ "àŠ¹àŠ€à§" àŠ«àŠ¿àŠ²à§àŠ¡ àŠàŠ° àŠ®àŠŸàŠ§à§àŠ¯àŠ®à§ àŠ¡àŠà§àŠ®à§àŠšà§àŠàŠà§àŠ²àŠ¿ àŠ¬à§àŠ°àŠŸàŠàŠ àŠàŠ°à§àŠš}  
+_textFromhelp_ [l=bn] {_labelFrom_ àŠ¬àŠŸàŠàŠšà§ àŠà§àŠ²àŠ¿àŠ àŠàŠ°à§ "àŠ¹àŠ€à§" àŠ«àŠ¿àŠ²à§àŠ¡ àŠàŠ° àŠ®àŠŸàŠ§à§àŠ¯àŠ®à§ àŠ¡àŠà§àŠ®à§àŠšà§àŠàŠà§àŠ²àŠ¿ àŠ¬à§àŠ°àŠŸàŠàŠ àŠàŠ°à§àŠš}  
 _textBrowsehelp_ [l=bn] {àŠ¡àŠà§àŠ®à§àŠšà§àŠàŠà§àŠ²àŠ¿ àŠ¬à§àŠ°àŠŸàŠàŠ àŠàŠ°à§àŠš }  
 _textAcronymhelp_ [l=bn] {_labelAcronym_ àŠ¬àŠŸàŠàŠšà§ àŠà§àŠ²àŠ¿àŠ àŠàŠ°à§ àŠªà§àŠ°àŠŸàŠªà§àŠ€ àŠžàŠàŠà§àŠ·àŠ¿àŠªà§àŠ€ àŠ¶àŠ¬à§àŠŠ àŠ