Index: /main/trunk/greenstone2/macros/sinhalese.dm
===================================================================
--- /main/trunk/greenstone2/macros/sinhalese.dm	(revision 23728)
+++ /main/trunk/greenstone2/macros/sinhalese.dm	(revision 23729)
@@ -452,5 +452,5 @@
 _textfieldphrase_ [l=si] {à¶à·à·à·à¶­à·âà¶»à¶º}  
 _textinwords_ [l=si] {... à·à¶ à¶± à¶žà¶à·à¶±à·}  
-
+_textfoldstem_ [l=si] {(à¶±à·à¶±à·à·, à·à·à¶§à·à¶žà·/stem)}  
 
 _textadvquery_ [l=si] {à·à· âà·à·à¶žà·à·à¶ž (à¶à·à¶œà·à¶±à·à¶ž) à¶à¶­à·à¶œà¶­à· à¶à¶»à¶±à·à¶±		}  
@@ -473,5 +473,5 @@
 _textadvancedsearch_ [l=si] {"à·à·à¶ºà¶±à·à¶± _indexselection__If_(_jselection_, à·à¶žà¶ à·à¶žà·à¶¶à¶±à·à¶° à·à¶± _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language) using _querytypeselection_ à·à·à¶žà·à·à¶žà·"		}  
 
-_textadvancedmgppsearch_ [l=si] { _indexselection__If_(_jselection_, à·à¶žà¶ à·à¶žà·à¶¶à¶±à·à¶° à·à¶± _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language), à·à· à·à·à·à·à¶žà· à¶Žà·à·
+_textadvancedmgppsearch_ [l=si] {_indexselection__If_(_jselection_, à·à¶žà¶ à·à¶žà·à¶¶à¶±à·à¶° à·à¶± _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language), à·à· à·à·à·à·à¶žà· à¶Žà·à·
 à·à¶­à·à¶»à· à¶Žà·à¶±à·à·à¶±à·à¶±_formquerytypeadvancedselection_ à·à·à¶°à·à¶±à¶ºà·, à·à¶³à·à·}  
 
@@ -520,6 +520,7 @@
 _texthcaseoff_ [l=si] {à¶
 à¶à·à¶»à· à·à¶âà·à·à¶¯à· à¶¶à·		}  
-
-
+_texthstemon_ [l=si] {à·à·à¶§à·à¶žà·à¶©à·/stemmed}  
+_texthstemoff_ [l=si] {à¶
+à¶±à·à·à·à¶§à·à¶žà·à¶©à·/unstemmed}  
 
 
@@ -907,5 +908,10 @@
 
 _texthelppresentationprefstitle_ [l=si] {à¶à¶¯à·à¶»à·à¶Žà¶­à· à¶à·à¶»à·à¶žà· à¶žà¶±à·à¶Žà¶ºà¶±à·}  
-
+_texthelppresentationprefs_ [l=si] {à¶ºà¶žà·à¶à·à·à· à¶à¶à¶­à·à·à¶ à·à·à·à¶·à·à·à¶º à¶žà¶­ à¶à·à· à¶Žà·à¶±à·à¶ž à·à·à¶±à·à· à¶à·à¶»à·âà¶žà¶§ à·à·à·à·à¶° à·à·à¶à¶œà·à¶Ž à¶­à·à¶¶à·à¶º à·à·à¶à·à¶º.<p> à·à·à¶¶à· à¶Žà·à¶§à· à¶à¶à¶­à·à· à¶žà¶à·à¶±à· à¶à¶¶à¶§ à¶à·à¶»à·à¶±à¶±à·à·à·à¶§à·à¶±à·à·à· à·à·à·à·à¶žà· à¶­à·à¶»à·à· à·à·à¶ž à¶œà·à¶à¶±à¶ºà¶à¶ž à¶à·à¶œà·à¶±à· à¶Žà·à¶±à·à·à·à¶ž à·à·à¶à·à·à·à¶º à·à·à¶à·à¶º, à¶à·à·à¶§ à¶à¶¶ à¶ºà¶žà· à·à·à·à·à¶žà¶à· à¶à¶œ à·à·à¶§ à¶à·à¶»à·à·à¶±à·à·à·à¶§à·à¶±à·à·à· à·à·à·à·à¶žà· à¶­à·à¶»à·à· à¶»à·à·à¶­à¶§ à¶à¶ž à¶
+à¶¯à·à¶œ à·à·à¶¶à· à¶Žà·à¶§à·à·à¶§à¶ž à¶ºà·à¶žà¶§ à·à·à¶à·à¶º. à¶±à¶žà·à¶­à· à¶à·à·à¶§ à·à·à¶±à¶­à· à·à·à·à·à¶žà¶à· à¶à·à¶»à·à¶žà¶§ à¶
+à·à·à·à¶ºà· à·à· à·à·à¶§ "à¶à¶Žà·à·" à¶¶à¶§à¶±à¶º à¶·à·à·à·à¶­à· à¶à¶œ à¶ºà·à¶­à·à¶º. à¶à·à·à¶ž à¶žà·à¶ž à¶à¶à¶­à·à¶±à· à¶žà¶à·à¶±à· à¶à¶¶ à¶ºà¶žà· à¶à·à·à· à·à¶žà·à¶¶à¶±à·à¶°à¶à¶ºà¶à· à¶žà¶­ à¶à·à¶œà·à¶à· à¶à¶œ à·à·à¶§, à¶à· à·à¶à¶à·à¶­ à¶Žà·à·à·à¶­à¶à·à¶œ à¶à¶­à¶­à·à·à·à¶±à· à¶à·à¶­à¶§ à¶ºà¶±à·à¶±à·à¶±à¶žà· à¶à·à·à¶§ à¶¯à·à·à·à·à¶± à¶
+à·à·à·à¶¯à·à¶­à·à¶žà¶ à¶Žà¶«à·à·à·à¶© à·à¶à·à¶ºà·. à¶à·à·à¶ž à¶à¶­à·à¶žà· à·à¶à¶à·à¶­ à¶Žà·à·à·à¶­à¶à·à¶œ à¶à¶­à¶­à·à¶±à· à·à¶œ à¶
+à¶¯à·à¶œ à·à¶žà·à¶¶à¶±à·à¶°à¶à¶º à¶žà¶­ à¶à·à¶œà·à¶à· à¶à¶œ à·à·à¶§, à¶à¶ž à¶Žà·à¶§à·à·à· à·à¶à¶à·à¶­ à¶Žà·à·à·à¶­à¶à·à¶œ à¶Žà·à¶§à¶Žà¶­à· à¶Žà·à¶§à·à· à·à·à¶±à·à·à¶§  à¶
+à¶¯à·à¶œ à·à·à¶¶à· URL à¶Žà·à¶§à·à·à¶§ à¶ºà·à¶žà· à·à¶± à¶œà·à· à¶¯ à¶Žà·à¶œà¶±à¶º à¶à·à¶»à·à¶žà¶§ à¶à¶¶à¶§ à·à·à¶à·à¶ºà·à· à¶à¶­.}  
 
 _texthelpsearchprefstitle_ [l=si] {à¶