Index: /main/trunk/gli/classes/dictionary_ja.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_ja.properties	(revision 23744)
+++ /main/trunk/gli/classes/dictionary_ja.properties	(revision 23745)
@@ -8,15 +8,15 @@
 AboutDialog.Acknowledgement:é©åãªãã­ã°ã©ã ãããã±ãŒãžãã¯ã©ã¹ãžã®éç¥  
 AboutDialog.Date:ïŒ2009å¹Ž11æïŒ  
-AboutDialog.Item0:ã¢ããããœãããŠãšã¢ãã©ã³ããŒã·ã§ã³ (http://www.apache.org/)ãã'Xerces Java 1'   
+AboutDialog.Item0:ã¢ããããœãããŠãšã¢ãã©ã³ããŒã·ã§ã³ (http://www.apache.org/)ãã'Xerces Java 1'  
 AboutDialog.Item2:ããªãŒãœãããŠãšã¢ãã¡ã³ããŒã·ã§ã³ (http://www.gnu.org/software/wget/wget.html)ãã'WGet'  
 AboutDialog.Item3:ã¯ãŠãªãªãã£ãã¡ãŒã¹ããœãããŠãšã¢GmbH. (http://www.qfs.de/en/qflib/index.html)ãã  
 AboutDialog.Item4:ãã«ãŒãã»ãã¢ã³ãšè²¢ç®è
-ãã¡(http://pollo.sourceforge.net/)ã«ããExtensionFileFilter.class'    
+ãã¡(http://pollo.sourceforge.net/)ã«ããExtensionFileFilter.class'  
 AboutDialog.Item5:ãã¡ã€ã«éžæè
 ã®ãªããŒã ããããã¡ã€ã«ãäœ¿çšå¯èœã«ããæ¹æ³' - vladi21 (http://www.experts-exchange.com/)  
-AboutDialog.Item6:ã­ããŒãã»ãšã¯ã¹ãã€ã³ãããŒã¯ã»ã­ã€ãããŒãŽã»ãŠãã (http://www.oreilly.com/catalog/jswing/chapter/dnd.beta.pdf)ã«ãã'Autoscrolling' - Java Swing   
-AboutDialog.Item7:ã¢ã³ããªã¥ãŒJ.ã¢ãŒã ã¹ãã­ã³ã° (http://www.javaworld.com/javaworld/javatips/jw-javatip114.html)ã«ãã'Add ghosted drag images to your JTrees'    
-AboutDialog.Item8:ãŠãªã«ã¿ãŒã»ã·ã£ããã«ãç€Œãè¿°ã¹ã'Stop annoying java.prefs error when you don't have superuser access'   
-AboutDialog.Item9:ãã­ãã€ãŒãã»ãã¥ãŒããã®'New folder', 'delete' and 'help' iconsïŒhttp://art.gnome.org/ããå©çšã§ããã·ã«ãã¹ã¿ãŒã»ãã¬ãšãŒã©ã«ãã£ãŠäœæãããicon set   
+AboutDialog.Item6:ã­ããŒãã»ãšã¯ã¹ãã€ã³ãããŒã¯ã»ã­ã€ãããŒãŽã»ãŠãã (http://www.oreilly.com/catalog/jswing/chapter/dnd.beta.pdf)ã«ãã'Autoscrolling' - Java Swing  
+AboutDialog.Item7:ã¢ã³ããªã¥ãŒJ.ã¢ãŒã ã¹ãã­ã³ã° (http://www.javaworld.com/javaworld/javatips/jw-javatip114.html)ã«ãã'Add ghosted drag images to your JTrees'  
+AboutDialog.Item8:ãŠãªã«ã¿ãŒã»ã·ã£ããã«ãç€Œãè¿°ã¹ã'Stop annoying java.prefs error when you don't have superuser access'  
+AboutDialog.Item9:ãã­ãã€ãŒãã»ãã¥ãŒããã®'New folder', 'delete' and 'help' iconsïŒhttp://art.gnome.org/ããå©çšã§ããã·ã«ãã¹ã¿ãŒã»ãã¬ãšãŒã©ã«ãã£ãŠäœæãããicon set  
 AboutDialog.Java_Req:Javaã¯ Sun Microsystems Inc.ã®åæšã§ãã JREã¯Supplemental License TermsãšããŠåé
 åžãããŠãã,http://java.sun.com/j2se/1.4.1/j2re-1_4_1_02-license.htmlã§ã¿ã€ããããšãã§ããŸãã  
@@ -84,5 +84,5 @@
 CDM.ArgumentConfiguration.Error_Title:åŒæ°ã®ãšã©ãŒ  
 CDM.ArgumentConfiguration.Header:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER> {0}ã«å¯ŸããåŒæ°ãèš­å®ããŠãã ãã</CENTER></FONT></STRONG></HTML>  
-CDM.ArgumentConfiguration.No_Value: '{0}'åŒæ°ã¯ããªã¥ãŒãå¿
+CDM.ArgumentConfiguration.No_Value:'{0}'åŒæ°ã¯ããªã¥ãŒãå¿
 èŠãšããã,ããªã¥ãŒã¯ç¹å®ãããªãã  
 CDM.ArgumentConfiguration.Required_Argument:'{0}'åŒæ°ã¯ããªã¥ãŒãäžããããªããã°ãªããªãã  
@@ -111,5 +111,5 @@
 CDM.ClassifierManager.Classifier_Str:åé¡å­  
 CDM.ClassifierManager.Classifier_List_XML_Parse_Failed:classinfo.pl -listallãäœ¿çšããŠåé¡å­ã®ãªã¹ããååŸã§ããªã  
-CDM.ClassifierManager.Classifier_XML_Parse_Failed: {0}åé¡å­ã«ããããåŒæ°ãæ±ºå®ã§ããªããåœè©²ã®åé¡å­ãã°ãªãŒã³ã¹ããŒã³ã»ããã­ãããŒã»ã¬ã€ã2.1 ã®pluginfo.pl ã®ã¹ã¯ãªããã®èšè¿°ãšé¡äŒŒããclassinfo.plã¹ã¯ãªãããèµ·åããããšã«ãã£ãŠ-xmlãã©ã°ãäŸçµŠããããšãç¢ºèªããŠãã ããã  
+CDM.ClassifierManager.Classifier_XML_Parse_Failed:{0}åé¡å­ã«ããããåŒæ°ãæ±ºå®ã§ããªããåœè©²ã®åé¡å­ãã°ãªãŒã³ã¹ããŒã³ã»ããã­ãããŒã»ã¬ã€ã2.1 ã®pluginfo.pl ã®ã¹ã¯ãªããã®èšè¿°ãšé¡äŒŒããclassinfo.plã¹ã¯ãªãããèµ·åããããšã«ãã£ãŠ-xmlãã©ã°ãäŸçµŠããããšãç¢ºèªããŠãã ããã  
 CDM.ClassifierManager.Configure:åé¡å­ãåœ¢æããâŠ  
 CDM.ClassifierManager.Configure_Tooltip:éžæãããåé¡å­ã®ãªãã·ã§ã³ãå€æŽãã  
@@ -123,5 +123,5 @@
 CDM.DatabaseTypeManager.gdbm_Description:GDBM (ããªãã¡GNU Database Manager) ã¯ã°ãªãŒã³ã¹ããŒã³ãæ°èŠã³ã¬ã¯ã·ã§ã³ã«å¯Ÿããããã©ã«ãã®ããŒã¿ããŒã¹ãšããŠäœ¿çšããåçŽãªãã©ãããã¡ã€ã«ã®ããŒã¿ããŒã¹ã§ã  
 CDM.DatabaseTypeManager.jdbm:JDBM  
-CDM.DatabaseTypeManager.jdbm_Description:JDBM (ããªãã¡Java Database Manager)ã¯åºæ¬çã«GDBMã®Jaïœaã®ã€ã³ããªã¡ã³ãã§ãããããçŽæ­£ã®Java run-timeãäœæããããªãããã®ããŒã¿ããŒã¹ãšã³ãžã³ãã«ã·ãŒã³ã®ã€ã³ãã¯ãµãŒãšçµã¿åãããŠäœ¿ãããšãèããŠãã ãããã   
+CDM.DatabaseTypeManager.jdbm_Description:JDBM (ããªãã¡Java Database Manager)ã¯åºæ¬çã«GDBMã®Jaïœaã®ã€ã³ããªã¡ã³ãã§ãããããçŽæ­£ã®Java run-timeãäœæããããªãããã®ããŒã¿ããŒã¹ãšã³ãžã³ãã«ã·ãŒã³ã®ã€ã³ãã¯ãµãŒãšçµã¿åãããŠäœ¿ãããšãèããŠãã ãããã  
 CDM.DatabaseTypeManager.sqlite:SQLITE  
 CDM.DatabaseTypeManager.sqlite_Description:SQLiteã¯ã·ã³ãã«ãªãªã¬ãŒã·ã§ãã«ã»ããŒã¿ããŒã¹ã»ãšã³ãžã³ã§ããã°ãªãŒã³ã¹ããŒã³ã§ã¯ä»ã®ããŒã¿ããŒã¹ãšã³ãžã³ã§ã¯äžå¯èœãªå®éšçãªäžçŽãµãŒãã®æ©èœãæäŸããã®ã«äœ¿çšã§ããŸãããããã®æ©èœãäœ¿çšå¯èœã«ããã«ã¯ãã©ãŒãããã»ã¿ãã®ãã©ãŒãããæ©èœé 
@@ -296,5 +296,5 @@
 CDM.SubcollectionManager.Exclude:é€å€ãã  
 CDM.SubcollectionManager.Flags:äžèŽããæã«ã»ãããããã©ã°  
-CDM.SubcollectionManager.Flags_Tooltip:äžèŽããæã«äœ¿çšããèŠåçè¡šçŸã®ãã©ã°ïŒããšãã°å€§å°ãäžèŽããæã«ã¯ "i"ïŒ   
+CDM.SubcollectionManager.Flags_Tooltip:äžèŽããæã«äœ¿çšããèŠåçè¡šçŸã®ãã©ã°ïŒããšãã°å€§å°ãäžèŽããæã«ã¯ "i"ïŒ  
 CDM.SubcollectionManager.Include:å«ã  
 CDM.SubcollectionManager.Inclusive:äžèŽãããã¡ã€ã«ã«äœãããã  
@@ -352,5 +352,5 @@
 Collection.Stop:åæ­¢ãã  
 Collection.Stop_Tooltip:ãã¡ã€ã«ã®ã³ããŒãåæ­¢ãã  
-
+Collection.Workspace:<HTML><STRONG><FONT FACE={FONT} COLOR=Black>ã¯ãŒã¯ã¹ããŒã¹</FONT></STRONG></HTML>  
 #**********************
 #
@@ -425,5 +425,5 @@
 èŠãªã³ã¬ã¯ã·ã§ã³æ§ç¯ã®éçšã®éšåã®ã¿ãå®è¡ãããã®ã§ããã£ãšæ©ãã§ã  
 CreatePane.Minimal_Build_Not_Required:ã³ã¬ã¯ã·ã§ã³ã«ãã¡ã€ã«ãè¿œå ããããã¡ã¿ããŒã¿ãç·šéãããããã¶ã€ã³åºç»ã®ãªãã·ã§ã³ãå€æŽããŠããªãã®ã§ãåæ§ç¯ã¯å¿
-èŠãããŸããïŒåæ§ç¯ãåŒ·å¶ããã«ã¯ã"åæ§ç¯ãå®æãã"ãéžæããŠ "ã³ã¬ã¯ã·ã§ã³ãæ§ç¯ãã"ãã¿ã³ãæŒããŠãã ããã   
+èŠãããŸããïŒåæ§ç¯ãåŒ·å¶ããã«ã¯ã"åæ§ç¯ãå®æãã"ãéžæããŠ "ã³ã¬ã¯ã·ã§ã³ãæ§ç¯ãã"ãã¿ã³ãæŒããŠãã ããã  
 CreatePane.Log:ã¡ãã»ãŒãžã»ã­ã°  
 CreatePane.Log_Tooltip:ä»¥åã®ã³ã¬ã¯ã·ã§ã³æ§ç¯ã®è©Šã¿ã®çµæãèŠã  
@@ -518,5 +518,5 @@
 ExplodeMetadataPrompt.Instructions:ãã®ã¡ã¿ããŒã¿ãã¡ã€ã«ãå±éãããšç·šéå¯èœãªã¡ã¿ããŒã¿ã®åå¥ã®ã¬ã³ãŒããäœæãããŸããããã¯éå¯éçãªãã­ã»ã¹ã§ããªãªãžãã«ã®ã¡ã¿ããŒã¿ãã¡ã€ã«ã¯ã³ã¬ã¯ã·ã§ã³ããåé€ãããŸãã  
 ExplodeMetadataPrompt.Failed_Title:å±éãå€±æããŸãã  
-ExplodeMetadataPrompt.Failed_Explode:ããŒã¿ããŒã¹ {0}ãå±éã§ããªã   
+ExplodeMetadataPrompt.Failed_Explode:ããŒã¿ããŒã¹ {0}ãå±éã§ããªã  
 ExplodeMetadataPrompt.NotExplodable:ãã®ãã¡ã€ã«ã¯å±éã§ããŸããã  
 ExplodeMetadataPrompt.Successful_Explode:ããŒã¿ããŒã¹{0} ã®å±éã«æåããŸããã  
@@ -551,5 +551,5 @@
 WriteCDImagePrompt.NoInstall:CD/DVD ã¯äœ¿çšãããæãã¡ã€ã«ãã€ã³ã¹ããŒã«ããªã  
 WriteCDImagePrompt.NoInstall_Tooltip:ãã¹ãã»ãã·ãŒã³ã«äœãã€ã³ã¹ããŒã«ããªãã§CD-ROMããçŽæ¥ã©ã€ãã©ãªãè¶éããã CD-ROMãäœæããã  
-WriteCDImagePrompt.Instructions:ã»ã«ãã€ã³ã¹ããŒã«ã®ãŠã€ã³ããŠãºCD/DVD ç»åã«ã³ã¬ã¯ã·ã§ã³ããšã¯ã¹ããŒãããïŒãã®äœæ¥­ã¯ã©ã®ãã©ãããã©ãŒã äžã§ãã§ãããçæãããCD/DVDç»åã¯ãŠã€ã³ããŠãºäžã§ããåããªãã   
+WriteCDImagePrompt.Instructions:ã»ã«ãã€ã³ã¹ããŒã«ã®ãŠã€ã³ããŠãºCD/DVD ç»åã«ã³ã¬ã¯ã·ã§ã³ããšã¯ã¹ããŒãããïŒãã®äœæ¥­ã¯ã©ã®ãã©ãããã©ãŒã äžã§ãã§ãããçæãããCD/DVDç»åã¯ãŠã€ã³ããŠãºäžã§ããåããªãã  
 WriteCDImagePrompt.Progress_Label:ãã¡ã€ã«ãã³ããŒããŸãããã°ããæéãããããŸãâŠ  
 WriteCDImagePrompt.Size_Label:ãµã€ãºãèšç®ããïŒ  
@@ -570,7 +570,7 @@
 ExportAsPrompt.Instructions:ã³ã¬ã¯ã·ã§ã³ã®ãã¡ã€ã«ãä»ã®ãã©ãŒãããã«ãšã¯ã¹ããŒããã  
 ExportAsPrompt.Progress_Label:ãã¡ã€ã«ããšã¯ã¹ããŒãããŸãããã°ããæéãããããŸãâŠ  
-ExportAsPrompt.Successful_ExportOne:ã³ã¬ã¯ã·ã§ã³{0}ããšã¯ã¹ããŒããããŸãã   
+ExportAsPrompt.Successful_ExportOne:ã³ã¬ã¯ã·ã§ã³{0}ããšã¯ã¹ããŒããããŸãã  
 ExportAsPrompt.Successful_Details:{1}ãžãšã¯ã¹ããŒãããããã¡ã€ã«  
-
+ExportAsPrompt.Successful_Title:ãšã¯ã¹ããŒããå®æããŸãã  
 ExportAsPrompt.Title:ã³ã¬ã¯ã·ã§ã³ããšã¯ã¹ããŒããã  
 ExportAsPrompt.SaveAs:ãžãšã¯ã¹ããŒããã  
@@ -625,5 +625,5 @@
 FileActions.Replacing:{0}ãæŽæ°ãã  
 FileActions.Selected:{0}ãã¡ã€ã«ãš{1}ãã©ã«ããŒãéžæãããŸãã  
-FileActions.Unknown_File_Error_Message:ãã¡ã€ã«ã®å®è¡äž­ãšã©ãŒã¡ãã»ãŒãžã¯è¡šç€ºãããŠããŸããã§ããããæçµçãªãã§ãã¯ã¯ ç®çã®ã³ããŒã¯ãœãŒã¹ãã¡ã€ã«ãšåäžã§ã¯ãªããšããããšãç€ºããŠããŸãããã®çç±ã¯äžæã§ããã¡ãã£ã¢ããã§ãã¯ããŠã€ã³ã¹ããŒã«ãããJVMãæŽæ°ããŠãã ããã   
+FileActions.Unknown_File_Error_Message:ãã¡ã€ã«ã®å®è¡äž­ãšã©ãŒã¡ãã»ãŒãžã¯è¡šç€ºãããŠããŸããã§ããããæçµçãªãã§ãã¯ã¯ ç®çã®ã³ããŒã¯ãœãŒã¹ãã¡ã€ã«ãšåäžã§ã¯ãªããšããããšãç€ºããŠããŸãããã®çç±ã¯äžæã§ããã¡ãã£ã¢ããã§ãã¯ããŠã€ã³ã¹ããŒã«ãããJVMãæŽæ°ããŠãã ããã  
 FileActions.Write_Not_Permitted_Message:ã©ã€ãã©ãªã¢ã³ã»ã€ã³ã¿ãŒãã§ãŒã¹ã¯{0}ã«æžãèŸŒã¿ããæš©éããããŸããããã¡ã€ã«ã®èš±å¯ããã§ãã¯ããŠãã ããã  
 FileActions.Write_Not_Permitted_Title:ãšã©ãŒã»æ­£ãããªããã¡ã€ã«ã®èš±å¯  
@@ -655,5 +655,9 @@
 FileAssociationDialog.Extension:ãã¡ã€ã«ã®æ«ç«¯  
 FileAssociationDialog.Extension_Tooltip:ãã¡ã€ã«ã®æ¡åŒµå­ãèª¿ã¹ã  
-
+FileAssociationDialog.Instructions:ãããã¡ã€ã«ã¿ã€ããåç
+§ããããã«ã©ã®å€éšã®ããŒã¿ããŒã¹ãäœ¿çšãããããã®ãã­ã°ã©ã ãç«ã¡äžããã®ã«ã©ã®ã³ãã³ããéä¿¡ãããæ±ºããããã«ãã®ãã€ã¢ã­ã°ãã»ããããŸããæ°èŠã®ãã¡ã€ã«ã¿ã€ããè¿œå ããã«ã¯ã'For files ending'ã«æ¡åŒµå­ãå
+¥åããŸããç«ã¡äžããã³ãã³ãè¿œå ããã«ã¯é©åãªãã­ã°ã©ã ã®ãã¡ã€ã«ã·ã¹ãã ãæ€çŽ¢ããããã«ãã³ãã³ããç«ã¡äžãããã«æ°èŠã®ã³ãã³ããå
+¥åããããããã©ãŠãºããã¯ãªãã¯ããŸããéããããã¡ã€ã«åãæ¿å
+¥ãããå Žæãç€ºãããã«ç¹å¥ãªã¹ããªã³ã°'%1'ãäœ¿çšããŸããããªãã¡ "C:\\Windows\\System\\MSPaint.exe %1". '%1' ãããä»ã®ã³ãã³ããç¹å®ãããŠããªããã°ã³ãã³ãã®æåŸã«è¿œå ãããŸããMacOSã®ãŠãŒã¶ãŒã¯ãŸããã€ã  mac ã®ç¹å¥ãªã³ãã³ã"open [-a <application_name>] %1" ãäœ¿çšããªããã°ãªããŸããã  
 FileAssociationDialog.Table.Command:ã³ãã³ã  
 FileAssociationDialog.Table.Extension:æ¡åŒµå­  
@@ -752,6 +756,6 @@
 GShell.Command:ã³ãã³ã  
 GShell.Failure:ã³ãã³ããå€±æããŸããã  
-GShell.Import.FileNotProcessed:ãã¡ã€ã« {0-target file path}ãèªè­ãããŸããããã©ã°ã€ã³ã«ãã£ãŠåŠçã§ããŸããã   
-GShell.Import.FileNotRecognised:ãã¡ã€ã« {0-target file path}ããã©ã°ã€ã³ã«ãã£ãŠåŠçã§ããŸããã   
+GShell.Import.FileNotProcessed:ãã¡ã€ã« {0-target file path}ãèªè­ãããŸããããã©ã°ã€ã³ã«ãã£ãŠåŠçã§ããŸããã  
+GShell.Import.FileNotRecognised:ãã¡ã€ã« {0-target file path}ããã©ã°ã€ã³ã«ãã£ãŠåŠçã§ããŸããã  
 GShell.Import.FileProcessing:{0-target file path} ãã¡ã€ã«ã¯{1-plugin name}ãã©ã°ã€ã³ã«ãã£ãŠåŠçãããŠããŸãã  
 GShell.Import.FileProcessingError:The file {0-target file path} åŠçäž­ã«ãšã©ãŒã«ãªããŸããã  
@@ -956,5 +960,5 @@
 MissingEXEC.Message:è­ŠåïŒã°ãªãŒã³ã¹ããŒã³ã®ã©ã€ãã©ãªãŒã»ãŠãšããµãŒããŒãžã®ãã¹ãç¹å®ããªããããã©ã€ãã©ãªã¢ã³ã»ã€ã³ã¿ãŒãã§ãŒã¹ã®æ°èŠã®ã³ã¬ã¯ã·ã§ã³ãèŠãããšã¯ã§ããŸããããã¹ãä»äžéšã®ãã­ã¹ãã»ãã€ãŒã«ããããããã¯åŸã§ããªãã¡ã¬ã³ã¹ãžé£ã³ã³ãã¯ã·ã§ã³ã»ã¿ããéžæããŠå
 ¥åã§ããŸããæå¹ãªurlã¯ãã­ãã³ã« "http://"ãšå
-±ã«å§ãŸããå€åå®è¡å¯èœãªååïŒã°ãªãŒã³ã¹ããŒã³ã®ãŠã€ã³ããŠãºã»ã­ãŒã«ã«ã»ã©ã€ãã©ãªãŒã»ãµãŒããŒã®"gsdl"ããä»ã®ãŠãšããµãŒããŒã®"library.cgi" ïŒã§çµãããšããããšãå¿ããªãã§ãã ããã    
+±ã«å§ãŸããå€åå®è¡å¯èœãªååïŒã°ãªãŒã³ã¹ããŒã³ã®ãŠã€ã³ããŠãºã»ã­ãŒã«ã«ã»ã©ã€ãã©ãªãŒã»ãµãŒããŒã®"gsdl"ããä»ã®ãŠãšããµãŒããŒã®"library.cgi" ïŒã§çµãããšããããšãå¿ããªãã§ãã ããã  
 MissingEXEC.Title:ã°ãªãŒã³ã¹ããŒã³ã®ã©ã€ãã©ãªãŒã¢ãã¬ã¹ãèŠã€ãããŸãã  
 #***** Missing EXEC_GS3 *****
@@ -1047,6 +1051,6 @@
 Preferences.Connection.Library_Path:ã©ã€ãã©ãªãŒã®ãã¹ïŒ  
 Preferences.Connection.Library_Path_GS3:ã°ãªãŒã³ã¹ããŒã³ã»ãŠãšãã®ãã¹ïŒ  
-Preferences.Connection.Library_Path_Tooltip:ã°ãªãŒã³ã¹ããŒã³ã»ãŠãšããµãŒããŒã®URL   
-Preferences.Connection.Library_Path_Tooltip_GS3:ã°ãªãŒã³ã¹ããŒã³ã»ãŠãšããµãŒããŒã®URL   
+Preferences.Connection.Library_Path_Tooltip:ã°ãªãŒã³ã¹ããŒã³ã»ãŠãšããµãŒããŒã®URL  
+Preferences.Connection.Library_Path_Tooltip_GS3:ã°ãªãŒã³ã¹ããŒã³ã»ãŠãšããµãŒããŒã®URL  
 Preferences.Connection.Library_Path_Connection_Failure:æ¥ç¶ã§ããŸããã{0} ã®ã°ãªãŒã³ã¹ããŒã³ã»ãµãŒããŒãåäœããŠããããã§ãã¯ããŠãã ããã  
 Preferences.Connection.CollectDirectory:ã³ã¬ã¯ãã»ãã€ã¬ã¯ããªãŒ  
@@ -1178,5 +1182,5 @@
 
 GEMS.Title:ã¡ã¿ããŒã¿ã»ããã®ã°ãªãŒã³ã¹ããŒã³ã®ãšãã£ã¿ãŒ  
-GEMS.OpenMetadataSetPrompt.Title:ã¡ã¿ããŒã¿ã»ãããéã   
+GEMS.OpenMetadataSetPrompt.Title:ã¡ã¿ããŒã¿ã»ãããéã  
 GEMS.OpenMetadataSetPrompt.Open_Tooltip:éžæãããã¡ã¿ããŒã¿ã»ãããéã  
 GEMS.Set_Description:ã¡ã¿ããŒã¿ã»ã»ããã®èšè¿°  