Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.10/auto/XML/Parser/.packlist
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.10/auto/XML/Parser/.packlist	(revision 23641)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.10/auto/XML/Parser/.packlist	(revision 23774)
@@ -1,36 +1,36 @@
-/home/sam/Desktop/greenstone2/perllib/cpan/XML/man/man3/XML::Parser.3pm
-/home/sam/Desktop/greenstone2/perllib/cpan/XML/man/man3/XML::Parser::Expat.3pm
-/home/sam/Desktop/greenstone2/perllib/cpan/XML/man/man3/XML::Parser::Style::Debug.3pm
-/home/sam/Desktop/greenstone2/perllib/cpan/XML/man/man3/XML::Parser::Style::Objects.3pm
-/home/sam/Desktop/greenstone2/perllib/cpan/XML/man/man3/XML::Parser::Style::Stream.3pm
-/home/sam/Desktop/greenstone2/perllib/cpan/XML/man/man3/XML::Parser::Style::Subs.3pm
-/home/sam/Desktop/greenstone2/perllib/cpan/XML/man/man3/XML::Parser::Style::Tree.3pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser.pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/Japanese_Encodings.msg
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/README
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/big5.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/euc-kr.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-2.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-3.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-4.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-5.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-7.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-8.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-9.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/windows-1250.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/windows-1252.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-euc-jp-jisx0221.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-euc-jp-unicode.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-cp932.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-jdk117.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-jisx0221.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-unicode.enc
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Expat.pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/LWPExternEnt.pl
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Style/Debug.pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Style/Objects.pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Style/Stream.pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Style/Subs.pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/XML/Parser/Style/Tree.pm
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/auto/XML/Parser/Expat/Expat.bs
-/home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10/auto/XML/Parser/Expat/Expat.so
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/XML/man/man3/XML::Parser.3pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/XML/man/man3/XML::Parser::Expat.3pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/XML/man/man3/XML::Parser::Style::Debug.3pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/XML/man/man3/XML::Parser::Style::Objects.3pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/XML/man/man3/XML::Parser::Style::Stream.3pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/XML/man/man3/XML::Parser::Style::Subs.3pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/XML/man/man3/XML::Parser::Style::Tree.3pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser.pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/Japanese_Encodings.msg
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/README
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/big5.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/euc-kr.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-2.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-3.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-4.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-5.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-7.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-8.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/iso-8859-9.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/windows-1250.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/windows-1252.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-euc-jp-jisx0221.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-euc-jp-unicode.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-cp932.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-jdk117.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-jisx0221.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Encodings/x-sjis-unicode.enc
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Expat.pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/LWPExternEnt.pl
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Style/Debug.pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Style/Objects.pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Style/Stream.pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Style/Subs.pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/XML/Parser/Style/Tree.pm
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/auto/XML/Parser/Expat/Expat.bs
+/opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10/auto/XML/Parser/Expat/Expat.so
Index: main/trunk/release-kits/shared/linux/XML-Parser/perl-5.10/perllocal.pod
===================================================================
--- main/trunk/release-kits/shared/linux/XML-Parser/perl-5.10/perllocal.pod	(revision 23641)
+++ main/trunk/release-kits/shared/linux/XML-Parser/perl-5.10/perllocal.pod	(revision 23774)
@@ -1,3 +1,3 @@
-=head2 Fri Jul 16 16:52:33 2010: C<Module> L<XML::Parser|XML::Parser>
+=head2 Mon Mar 14 13:43:48 2011: C<Module> L<XML::Parser|XML::Parser>
 
 =over 4
@@ -5,5 +5,5 @@
 =item *
 
-C<installed into: /home/sam/Desktop/greenstone2/perllib/cpan/perl-5.10>
+C<installed into: /opt/lsb-buildenv-ia32/home/sjm84/greenstone2-svn/perllib/cpan/perl-5.10>
 
 =item *